Ledger Transaction¶
Get A Resource By ID¶
HTTP Request
GET /api/v1/ledger-transaction/{id}
📋 Description: Returns the single resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "createdByApplication": "NLA",
18 "postingTransactionType": "POST",
19 "postingType": "PAYMENT",
20 "ledgerType": "LIABILITY",
21 "paymentType": "N_A",
22 "applicationReferenceId": "string",
23 "documentComments": "string",
24 "documentDate": "2019-08-24",
25 "userDocumentDate": "2019-08-24",
26 "postingDate": "2019-08-24",
27 "transactionDate": "2019-08-24",
28 "fiscalYear": 0,
29 "fiscalPeriod": 0,
30 "currencyDetail": {
31 "currencyId": 0,
32 "currencyDisplayId": "string",
33 "currencyDefinitionType": "CONTRACT_CURRENCY",
34 "currencyType": "string"
35 },
36 "company": {
37 "id": 0,
38 "displayId": "string"
39 },
40 "vendorId": 0,
41 "vendorDisplayId": "string",
42 "vendorName": "string",
43 "invoiceId": 0,
44 "invoicePaymentId": 0,
45 "workspaceId": 0,
46 "clearingLedgerTransactionId": 0,
47 "currency": {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "name": "string",
52 "decimalPoints": 0
53 },
54 "accountingStandard": {
55 "id": 0,
56 "displayId": "string"
57 },
58 "leaseClassificationType": "NON_LEASE",
59 "generateVendorInvoice": true,
60 "splitLeasePayment": true,
61 "parallelCurrencyEnabled": true,
62 "calculateTax": true,
63 "taxCalculationType": "NET",
64 "principalPositionType": "LESSEE",
65 "nlaReferences": {
66 "id": 0,
67 "contract": {
68 "id": 0,
69 "displayId": "string"
70 },
71 "leaseComponent": {
72 "id": 0,
73 "displayId": "string"
74 },
75 "activationGroup": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "unit": {
80 "id": 0,
81 "displayId": "string"
82 },
83 "contractExternalId": "string",
84 "journalId": 0,
85 "activationGroupRevisionId": 0,
86 "ledgerTransactionId": 0
87 },
88 "nreReferences": {
89 "id": 0,
90 "premise": {
91 "id": 0,
92 "displayId": "string"
93 },
94 "location": {
95 "id": 0,
96 "displayId": "string"
97 },
98 "lease": {
99 "id": 0,
100 "displayId": "string"
101 },
102 "ledgerTransactionId": 0
103 },
104 "fosReferences": {
105 "id": 0,
106 "system": {
107 "id": 0,
108 "displayId": "string"
109 },
110 "company": {
111 "id": 0,
112 "displayId": "string"
113 },
114 "leaseArea": {
115 "id": 0,
116 "displayId": "string"
117 },
118 "leaseGroup": {
119 "id": 0,
120 "displayId": "string"
121 },
122 "leaseDepartment": {
123 "id": 0,
124 "displayId": "string"
125 },
126 "businessUnit": {
127 "id": 0,
128 "displayId": "string"
129 },
130 "mainCostCenter": {
131 "id": 0,
132 "displayId": "string"
133 },
134 "internalAssetClass": {
135 "id": 0,
136 "displayId": "string"
137 },
138 "documentType": {
139 "id": 0,
140 "displayId": "string"
141 },
142 "depreciationArea": {
143 "id": 0,
144 "displayId": "string"
145 },
146 "reversalReason": {
147 "id": 0,
148 "displayId": "string"
149 },
150 "tradingPartner": {
151 "id": 0,
152 "displayId": "string"
153 },
154 "allocationNumber": {
155 "id": 0,
156 "displayId": "string"
157 },
158 "responsibleCostCenter": {
159 "id": 0,
160 "displayId": "string"
161 },
162 "workBreakdownStructure": {
163 "id": 0,
164 "displayId": "string"
165 },
166 "businessArea": {
167 "id": 0,
168 "displayId": "string"
169 },
170 "functionalArea": {
171 "id": 0,
172 "displayId": "string"
173 },
174 "plant": {
175 "id": 0,
176 "displayId": "string"
177 },
178 "internalOrder": {
179 "id": 0,
180 "displayId": "string"
181 },
182 "network": {
183 "id": 0,
184 "displayId": "string"
185 },
186 "paymentTerm": {
187 "id": 0,
188 "displayId": "string"
189 },
190 "paymentBlock": {
191 "id": 0,
192 "displayId": "string"
193 },
194 "paymentMethod": {
195 "id": 0,
196 "displayId": "string",
197 "name": "string",
198 "type": "string"
199 },
200 "segment": {
201 "id": 0,
202 "displayId": "string"
203 },
204 "purchasingOrganization": {
205 "id": 0,
206 "displayId": "string"
207 },
208 "purchasingOrder": {
209 "id": 0,
210 "displayId": "string"
211 },
212 "ledgerTransactionId": 0
213 },
214 "apReferences": {
215 "id": 0,
216 "invoice": {
217 "id": 0,
218 "displayId": "string",
219 "name": "string"
220 },
221 "vendor": {
222 "id": 0,
223 "displayId": "string",
224 "name": "string"
225 },
226 "ledgerTransactionId": 0
227 },
228 "assetRegisterReferences": {
229 "id": 0,
230 "asset": {
231 "assetId": 0,
232 "assetDisplayId": "string",
233 "assetNumber": "string",
234 "subAssetNumber": "string"
235 },
236 "ledgerTransactionId": 0
237 },
238 "ledgerTransactionGroupId": 0,
239 "accountingDocumentId": 0,
240 "entries": [
241 {
242 "id": 0,
243 "displayId": "string",
244 "itemText": "string",
245 "entryType": "D",
246 "amount": 0,
247 "unroundedAmount": 0,
248 "deltaAdjustment": 0,
249 "generalLedger": {
250 "id": 0,
251 "displayId": "string",
252 "generalLedgerAccountName": "string",
253 "generalLedgerAccountCode": "string",
254 "openItemManagement": true,
255 "accountCategory": "BALANCESHEET",
256 "shortName": "string",
257 "longName": "string"
258 },
259 "costCenter": {
260 "id": 0,
261 "displayId": "string",
262 "mainCostCenter": true,
263 "allocationPercentage": 0.1
264 },
265 "profitCenter": {
266 "id": 0,
267 "displayId": "string"
268 },
269 "vendor": {
270 "id": 0,
271 "displayId": "string",
272 "name": "string"
273 },
274 "taxEntries": [
275 {
276 "id": 0,
277 "displayId": "string",
278 "itemText": "string",
279 "entryType": "D",
280 "amount": 0,
281 "unroundedAmount": 0,
282 "deltaAdjustment": 0,
283 "generalLedger": {
284 "id": 0,
285 "displayId": "string",
286 "generalLedgerAccountName": "string",
287 "generalLedgerAccountCode": "string",
288 "openItemManagement": true,
289 "accountCategory": "BALANCESHEET",
290 "shortName": "string",
291 "longName": "string"
292 },
293 "taxBaseAmount": 0,
294 "totalTaxDocumentAmount": 0,
295 "taxExempt": 0,
296 "taxAffected": 0,
297 "vendor": {
298 "id": 0,
299 "displayId": "string",
300 "status": "CREATED",
301 "name": "string",
302 "erpSystemDisplayId": "string"
303 },
304 "ledgerEntryId": 0,
305 "additionalCurrencies": [
306 {
307 "id": 0,
308 "displayId": "string",
309 "entryType": "D",
310 "amount": 0,
311 "unroundedAmount": 0,
312 "deltaAdjustment": 0,
313 "currency": {
314 "id": 0,
315 "displayId": "string"
316 },
317 "currencyDefinitionType": "CONTRACT_CURRENCY",
318 "currencyType": "string",
319 "rate": 0,
320 "conversionDate": "2019-08-24",
321 "translationDateType": "DOCUMENT_DATE",
322 "sourceCurrencyType": "CONTRACT_CURRENCY",
323 "sourceCurrency": {
324 "id": 0,
325 "displayId": "string"
326 },
327 "depreciationArea": {
328 "id": 0,
329 "displayId": "string"
330 },
331 "ledgerEntryId": 0,
332 "ledgerEntryTaxId": 0,
333 "allowsSystemGenerateNewId": true,
334 "numberRangeIdentifierValue": "string",
335 "numberRangeIdentifierType": {
336 "name": "string"
337 },
338 "numberRangeType": {
339 "name": "string"
340 }
341 }
342 ],
343 "allowsSystemGenerateNewId": true,
344 "numberRangeIdentifierValue": "string",
345 "numberRangeIdentifierType": {
346 "name": "string"
347 },
348 "numberRangeType": {
349 "name": "string"
350 }
351 }
352 ],
353 "additionalCurrencies": [
354 {
355 "id": 0,
356 "displayId": "string",
357 "entryType": "D",
358 "amount": 0,
359 "unroundedAmount": 0,
360 "deltaAdjustment": 0,
361 "currency": {
362 "id": 0,
363 "displayId": "string"
364 },
365 "currencyDefinitionType": "CONTRACT_CURRENCY",
366 "currencyType": "string",
367 "rate": 0,
368 "conversionDate": "2019-08-24",
369 "translationDateType": "DOCUMENT_DATE",
370 "sourceCurrencyType": "CONTRACT_CURRENCY",
371 "sourceCurrency": {
372 "id": 0,
373 "displayId": "string"
374 },
375 "depreciationArea": {
376 "id": 0,
377 "displayId": "string"
378 },
379 "ledgerEntryId": 0,
380 "ledgerEntryTaxId": 0,
381 "allowsSystemGenerateNewId": true,
382 "numberRangeIdentifierValue": "string",
383 "numberRangeIdentifierType": {
384 "name": "string"
385 },
386 "numberRangeType": {
387 "name": "string"
388 }
389 }
390 ],
391 "ledgerTransactionId": 0,
392 "expenseCategory": {
393 "id": 0,
394 "displayId": "string",
395 "status": "CREATED",
396 "name": "string",
397 "expenseCategoryType": "PAYMENT"
398 },
399 "allowsSystemGenerateNewId": true,
400 "numberRangeIdentifierValue": "string",
401 "numberRangeIdentifierType": {
402 "name": "string"
403 },
404 "numberRangeType": {
405 "name": "string"
406 }
407 }
408 ],
409 "notes": [
410 {
411 "id": 0,
412 "note": "string"
413 }
414 ],
415 "reasonCode": {
416 "id": 0,
417 "name": "string"
418 },
419 "internalPostingStatus": {
420 "documentNumber": "string",
421 "status": "NA",
422 "postingMessage": "string"
423 },
424 "externalPostingStatus": {
425 "documentNumber": "string",
426 "objType": "string",
427 "objKey": "string",
428 "objSys": "string",
429 "username": "string",
430 "status": "NA",
431 "postingMessage": "string",
432 "taskId": 0
433 },
434 "nlaEnrichmentState": {
435 "id": 0,
436 "status": "PENDING",
437 "message": "string",
438 "history": [
439 {
440 "requestingUser": "string",
441 "enrichmentRequestId": 0,
442 "requestedAt": "2019-08-24T14:15:22Z",
443 "enrichedAt": "2019-08-24T14:15:22Z",
444 "requestStatus": "SENT",
445 "applicationStatus": "PENDING",
446 "message": "string"
447 }
448 ]
449 },
450 "nreEnrichmentState": {
451 "id": 0,
452 "status": "PENDING",
453 "message": "string",
454 "history": [
455 {
456 "requestingUser": "string",
457 "enrichmentRequestId": 0,
458 "requestedAt": "2019-08-24T14:15:22Z",
459 "enrichedAt": "2019-08-24T14:15:22Z",
460 "requestStatus": "SENT",
461 "applicationStatus": "PENDING",
462 "message": "string"
463 }
464 ]
465 },
466 "apEnrichmentState": {
467 "id": 0,
468 "status": "PENDING",
469 "message": "string",
470 "history": [
471 {
472 "requestingUser": "string",
473 "enrichmentRequestId": 0,
474 "requestedAt": "2019-08-24T14:15:22Z",
475 "enrichedAt": "2019-08-24T14:15:22Z",
476 "requestStatus": "SENT",
477 "applicationStatus": "PENDING",
478 "message": "string"
479 }
480 ]
481 },
482 "allowsSystemGenerateNewId": true,
483 "numberRangeIdentifierValue": "string",
484 "numberRangeIdentifierType": {
485 "name": "string"
486 },
487 "numberRangeType": {
488 "name": "string"
489 }
490 }
491}
Update A Resource¶
HTTP Request
PUT /api/v1/ledger-transaction/{id}
📋 Description: Fully replaces the resource with the given ID. All fields in the request body are applied.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
body |
body |
true |
Request body containing the updated ledger transaction details, including transaction amount, date, and associated metadata. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "createdByApplication": "NLA",
5 "postingTransactionType": "POST",
6 "postingType": "PAYMENT",
7 "ledgerType": "LIABILITY",
8 "paymentType": "N_A",
9 "applicationReferenceId": "string",
10 "documentComments": "string",
11 "documentDate": "2019-08-24",
12 "userDocumentDate": "2019-08-24",
13 "postingDate": "2019-08-24",
14 "transactionDate": "2019-08-24",
15 "fiscalYear": 0,
16 "fiscalPeriod": 0,
17 "currencyDetail": {
18 "currencyId": 0,
19 "currencyDisplayId": "string",
20 "currencyDefinitionType": "CONTRACT_CURRENCY",
21 "currencyType": "string"
22 },
23 "company": {
24 "id": 0,
25 "displayId": "string"
26 },
27 "vendorId": 0,
28 "vendorDisplayId": "string",
29 "vendorName": "string",
30 "invoiceId": 0,
31 "invoicePaymentId": 0,
32 "workspaceId": 0,
33 "clearingLedgerTransactionId": 0,
34 "currency": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string",
39 "decimalPoints": 0
40 },
41 "accountingStandard": {
42 "id": 0,
43 "displayId": "string"
44 },
45 "leaseClassificationType": "NON_LEASE",
46 "generateVendorInvoice": true,
47 "splitLeasePayment": true,
48 "parallelCurrencyEnabled": true,
49 "calculateTax": true,
50 "taxCalculationType": "NET",
51 "principalPositionType": "LESSEE",
52 "nlaReferences": {
53 "id": 0,
54 "contract": {
55 "id": 0,
56 "displayId": "string"
57 },
58 "leaseComponent": {
59 "id": 0,
60 "displayId": "string"
61 },
62 "activationGroup": {
63 "id": 0,
64 "displayId": "string"
65 },
66 "unit": {
67 "id": 0,
68 "displayId": "string"
69 },
70 "contractExternalId": "string",
71 "journalId": 0,
72 "activationGroupRevisionId": 0,
73 "ledgerTransactionId": 0
74 },
75 "nreReferences": {
76 "id": 0,
77 "premise": {
78 "id": 0,
79 "displayId": "string"
80 },
81 "location": {
82 "id": 0,
83 "displayId": "string"
84 },
85 "lease": {
86 "id": 0,
87 "displayId": "string"
88 },
89 "ledgerTransactionId": 0
90 },
91 "fosReferences": {
92 "id": 0,
93 "system": {
94 "id": 0,
95 "displayId": "string"
96 },
97 "company": {
98 "id": 0,
99 "displayId": "string"
100 },
101 "leaseArea": {
102 "id": 0,
103 "displayId": "string"
104 },
105 "leaseGroup": {
106 "id": 0,
107 "displayId": "string"
108 },
109 "leaseDepartment": {
110 "id": 0,
111 "displayId": "string"
112 },
113 "businessUnit": {
114 "id": 0,
115 "displayId": "string"
116 },
117 "mainCostCenter": {
118 "id": 0,
119 "displayId": "string"
120 },
121 "internalAssetClass": {
122 "id": 0,
123 "displayId": "string"
124 },
125 "documentType": {
126 "id": 0,
127 "displayId": "string"
128 },
129 "depreciationArea": {
130 "id": 0,
131 "displayId": "string"
132 },
133 "reversalReason": {
134 "id": 0,
135 "displayId": "string"
136 },
137 "tradingPartner": {
138 "id": 0,
139 "displayId": "string"
140 },
141 "allocationNumber": {
142 "id": 0,
143 "displayId": "string"
144 },
145 "responsibleCostCenter": {
146 "id": 0,
147 "displayId": "string"
148 },
149 "workBreakdownStructure": {
150 "id": 0,
151 "displayId": "string"
152 },
153 "businessArea": {
154 "id": 0,
155 "displayId": "string"
156 },
157 "functionalArea": {
158 "id": 0,
159 "displayId": "string"
160 },
161 "plant": {
162 "id": 0,
163 "displayId": "string"
164 },
165 "internalOrder": {
166 "id": 0,
167 "displayId": "string"
168 },
169 "network": {
170 "id": 0,
171 "displayId": "string"
172 },
173 "paymentTerm": {
174 "id": 0,
175 "displayId": "string"
176 },
177 "paymentBlock": {
178 "id": 0,
179 "displayId": "string"
180 },
181 "paymentMethod": {
182 "id": 0,
183 "displayId": "string",
184 "name": "string",
185 "type": "string"
186 },
187 "segment": {
188 "id": 0,
189 "displayId": "string"
190 },
191 "purchasingOrganization": {
192 "id": 0,
193 "displayId": "string"
194 },
195 "purchasingOrder": {
196 "id": 0,
197 "displayId": "string"
198 },
199 "ledgerTransactionId": 0
200 },
201 "apReferences": {
202 "id": 0,
203 "invoice": {
204 "id": 0,
205 "displayId": "string",
206 "name": "string"
207 },
208 "vendor": {
209 "id": 0,
210 "displayId": "string",
211 "name": "string"
212 },
213 "ledgerTransactionId": 0
214 },
215 "assetRegisterReferences": {
216 "id": 0,
217 "asset": {
218 "assetId": 0,
219 "assetDisplayId": "string",
220 "assetNumber": "string",
221 "subAssetNumber": "string"
222 },
223 "ledgerTransactionId": 0
224 },
225 "ledgerTransactionGroupId": 0,
226 "accountingDocumentId": 0,
227 "entries": [
228 {
229 "id": 0,
230 "displayId": "string",
231 "itemText": "string",
232 "entryType": "D",
233 "amount": 0,
234 "unroundedAmount": 0,
235 "deltaAdjustment": 0,
236 "generalLedger": {
237 "id": 0,
238 "displayId": "string",
239 "generalLedgerAccountName": "string",
240 "generalLedgerAccountCode": "string",
241 "openItemManagement": true,
242 "accountCategory": "BALANCESHEET",
243 "shortName": "string",
244 "longName": "string"
245 },
246 "costCenter": {
247 "id": 0,
248 "displayId": "string",
249 "mainCostCenter": true,
250 "allocationPercentage": 0.1
251 },
252 "profitCenter": {
253 "id": 0,
254 "displayId": "string"
255 },
256 "vendor": {
257 "id": 0,
258 "displayId": "string",
259 "name": "string"
260 },
261 "taxEntries": [
262 {
263 "id": 0,
264 "displayId": "string",
265 "itemText": "string",
266 "entryType": "D",
267 "amount": 0,
268 "unroundedAmount": 0,
269 "deltaAdjustment": 0,
270 "generalLedger": {
271 "id": 0,
272 "displayId": "string",
273 "generalLedgerAccountName": "string",
274 "generalLedgerAccountCode": "string",
275 "openItemManagement": true,
276 "accountCategory": "BALANCESHEET",
277 "shortName": "string",
278 "longName": "string"
279 },
280 "taxBaseAmount": 0,
281 "totalTaxDocumentAmount": 0,
282 "taxExempt": 0,
283 "taxAffected": 0,
284 "vendor": {
285 "id": 0,
286 "displayId": "string",
287 "status": "CREATED",
288 "name": "string",
289 "erpSystemDisplayId": "string"
290 },
291 "ledgerEntryId": 0,
292 "additionalCurrencies": [
293 {
294 "id": 0,
295 "displayId": "string",
296 "entryType": "D",
297 "amount": 0,
298 "unroundedAmount": 0,
299 "deltaAdjustment": 0,
300 "currency": {
301 "id": 0,
302 "displayId": "string"
303 },
304 "currencyDefinitionType": "CONTRACT_CURRENCY",
305 "currencyType": "string",
306 "rate": 0,
307 "conversionDate": "2019-08-24",
308 "translationDateType": "DOCUMENT_DATE",
309 "sourceCurrencyType": "CONTRACT_CURRENCY",
310 "sourceCurrency": {
311 "id": 0,
312 "displayId": "string"
313 },
314 "depreciationArea": {
315 "id": 0,
316 "displayId": "string"
317 },
318 "ledgerEntryId": 0,
319 "ledgerEntryTaxId": 0,
320 "allowsSystemGenerateNewId": true,
321 "numberRangeIdentifierValue": "string",
322 "numberRangeIdentifierType": {
323 "name": "string"
324 },
325 "numberRangeType": {
326 "name": "string"
327 }
328 }
329 ],
330 "allowsSystemGenerateNewId": true,
331 "numberRangeIdentifierValue": "string",
332 "numberRangeIdentifierType": {
333 "name": "string"
334 },
335 "numberRangeType": {
336 "name": "string"
337 }
338 }
339 ],
340 "additionalCurrencies": [
341 {
342 "id": 0,
343 "displayId": "string",
344 "entryType": "D",
345 "amount": 0,
346 "unroundedAmount": 0,
347 "deltaAdjustment": 0,
348 "currency": {
349 "id": 0,
350 "displayId": "string"
351 },
352 "currencyDefinitionType": "CONTRACT_CURRENCY",
353 "currencyType": "string",
354 "rate": 0,
355 "conversionDate": "2019-08-24",
356 "translationDateType": "DOCUMENT_DATE",
357 "sourceCurrencyType": "CONTRACT_CURRENCY",
358 "sourceCurrency": {
359 "id": 0,
360 "displayId": "string"
361 },
362 "depreciationArea": {
363 "id": 0,
364 "displayId": "string"
365 },
366 "ledgerEntryId": 0,
367 "ledgerEntryTaxId": 0,
368 "allowsSystemGenerateNewId": true,
369 "numberRangeIdentifierValue": "string",
370 "numberRangeIdentifierType": {
371 "name": "string"
372 },
373 "numberRangeType": {
374 "name": "string"
375 }
376 }
377 ],
378 "ledgerTransactionId": 0,
379 "expenseCategory": {
380 "id": 0,
381 "displayId": "string",
382 "status": "CREATED",
383 "name": "string",
384 "expenseCategoryType": "PAYMENT"
385 },
386 "allowsSystemGenerateNewId": true,
387 "numberRangeIdentifierValue": "string",
388 "numberRangeIdentifierType": {
389 "name": "string"
390 },
391 "numberRangeType": {
392 "name": "string"
393 }
394 }
395 ],
396 "notes": [
397 {
398 "id": 0,
399 "note": "string"
400 }
401 ],
402 "reasonCode": {
403 "id": 0,
404 "name": "string"
405 },
406 "internalPostingStatus": {
407 "documentNumber": "string",
408 "status": "NA",
409 "postingMessage": "string"
410 },
411 "externalPostingStatus": {
412 "documentNumber": "string",
413 "objType": "string",
414 "objKey": "string",
415 "objSys": "string",
416 "username": "string",
417 "status": "NA",
418 "postingMessage": "string",
419 "taskId": 0
420 },
421 "nlaEnrichmentState": {
422 "id": 0,
423 "status": "PENDING",
424 "message": "string",
425 "history": [
426 {
427 "requestingUser": "string",
428 "enrichmentRequestId": 0,
429 "requestedAt": "2019-08-24T14:15:22Z",
430 "enrichedAt": "2019-08-24T14:15:22Z",
431 "requestStatus": "SENT",
432 "applicationStatus": "PENDING",
433 "message": "string"
434 }
435 ]
436 },
437 "nreEnrichmentState": {
438 "id": 0,
439 "status": "PENDING",
440 "message": "string",
441 "history": [
442 {
443 "requestingUser": "string",
444 "enrichmentRequestId": 0,
445 "requestedAt": "2019-08-24T14:15:22Z",
446 "enrichedAt": "2019-08-24T14:15:22Z",
447 "requestStatus": "SENT",
448 "applicationStatus": "PENDING",
449 "message": "string"
450 }
451 ]
452 },
453 "apEnrichmentState": {
454 "id": 0,
455 "status": "PENDING",
456 "message": "string",
457 "history": [
458 {
459 "requestingUser": "string",
460 "enrichmentRequestId": 0,
461 "requestedAt": "2019-08-24T14:15:22Z",
462 "enrichedAt": "2019-08-24T14:15:22Z",
463 "requestStatus": "SENT",
464 "applicationStatus": "PENDING",
465 "message": "string"
466 }
467 ]
468 },
469 "allowsSystemGenerateNewId": true,
470 "numberRangeIdentifierValue": "string",
471 "numberRangeIdentifierType": {
472 "name": "string"
473 },
474 "numberRangeType": {
475 "name": "string"
476 }
477}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "createdByApplication": "NLA",
18 "postingTransactionType": "POST",
19 "postingType": "PAYMENT",
20 "ledgerType": "LIABILITY",
21 "paymentType": "N_A",
22 "applicationReferenceId": "string",
23 "documentComments": "string",
24 "documentDate": "2019-08-24",
25 "userDocumentDate": "2019-08-24",
26 "postingDate": "2019-08-24",
27 "transactionDate": "2019-08-24",
28 "fiscalYear": 0,
29 "fiscalPeriod": 0,
30 "currencyDetail": {
31 "currencyId": 0,
32 "currencyDisplayId": "string",
33 "currencyDefinitionType": "CONTRACT_CURRENCY",
34 "currencyType": "string"
35 },
36 "company": {
37 "id": 0,
38 "displayId": "string"
39 },
40 "vendorId": 0,
41 "vendorDisplayId": "string",
42 "vendorName": "string",
43 "invoiceId": 0,
44 "invoicePaymentId": 0,
45 "workspaceId": 0,
46 "clearingLedgerTransactionId": 0,
47 "currency": {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "name": "string",
52 "decimalPoints": 0
53 },
54 "accountingStandard": {
55 "id": 0,
56 "displayId": "string"
57 },
58 "leaseClassificationType": "NON_LEASE",
59 "generateVendorInvoice": true,
60 "splitLeasePayment": true,
61 "parallelCurrencyEnabled": true,
62 "calculateTax": true,
63 "taxCalculationType": "NET",
64 "principalPositionType": "LESSEE",
65 "nlaReferences": {
66 "id": 0,
67 "contract": {
68 "id": 0,
69 "displayId": "string"
70 },
71 "leaseComponent": {
72 "id": 0,
73 "displayId": "string"
74 },
75 "activationGroup": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "unit": {
80 "id": 0,
81 "displayId": "string"
82 },
83 "contractExternalId": "string",
84 "journalId": 0,
85 "activationGroupRevisionId": 0,
86 "ledgerTransactionId": 0
87 },
88 "nreReferences": {
89 "id": 0,
90 "premise": {
91 "id": 0,
92 "displayId": "string"
93 },
94 "location": {
95 "id": 0,
96 "displayId": "string"
97 },
98 "lease": {
99 "id": 0,
100 "displayId": "string"
101 },
102 "ledgerTransactionId": 0
103 },
104 "fosReferences": {
105 "id": 0,
106 "system": {
107 "id": 0,
108 "displayId": "string"
109 },
110 "company": {
111 "id": 0,
112 "displayId": "string"
113 },
114 "leaseArea": {
115 "id": 0,
116 "displayId": "string"
117 },
118 "leaseGroup": {
119 "id": 0,
120 "displayId": "string"
121 },
122 "leaseDepartment": {
123 "id": 0,
124 "displayId": "string"
125 },
126 "businessUnit": {
127 "id": 0,
128 "displayId": "string"
129 },
130 "mainCostCenter": {
131 "id": 0,
132 "displayId": "string"
133 },
134 "internalAssetClass": {
135 "id": 0,
136 "displayId": "string"
137 },
138 "documentType": {
139 "id": 0,
140 "displayId": "string"
141 },
142 "depreciationArea": {
143 "id": 0,
144 "displayId": "string"
145 },
146 "reversalReason": {
147 "id": 0,
148 "displayId": "string"
149 },
150 "tradingPartner": {
151 "id": 0,
152 "displayId": "string"
153 },
154 "allocationNumber": {
155 "id": 0,
156 "displayId": "string"
157 },
158 "responsibleCostCenter": {
159 "id": 0,
160 "displayId": "string"
161 },
162 "workBreakdownStructure": {
163 "id": 0,
164 "displayId": "string"
165 },
166 "businessArea": {
167 "id": 0,
168 "displayId": "string"
169 },
170 "functionalArea": {
171 "id": 0,
172 "displayId": "string"
173 },
174 "plant": {
175 "id": 0,
176 "displayId": "string"
177 },
178 "internalOrder": {
179 "id": 0,
180 "displayId": "string"
181 },
182 "network": {
183 "id": 0,
184 "displayId": "string"
185 },
186 "paymentTerm": {
187 "id": 0,
188 "displayId": "string"
189 },
190 "paymentBlock": {
191 "id": 0,
192 "displayId": "string"
193 },
194 "paymentMethod": {
195 "id": 0,
196 "displayId": "string",
197 "name": "string",
198 "type": "string"
199 },
200 "segment": {
201 "id": 0,
202 "displayId": "string"
203 },
204 "purchasingOrganization": {
205 "id": 0,
206 "displayId": "string"
207 },
208 "purchasingOrder": {
209 "id": 0,
210 "displayId": "string"
211 },
212 "ledgerTransactionId": 0
213 },
214 "apReferences": {
215 "id": 0,
216 "invoice": {
217 "id": 0,
218 "displayId": "string",
219 "name": "string"
220 },
221 "vendor": {
222 "id": 0,
223 "displayId": "string",
224 "name": "string"
225 },
226 "ledgerTransactionId": 0
227 },
228 "assetRegisterReferences": {
229 "id": 0,
230 "asset": {
231 "assetId": 0,
232 "assetDisplayId": "string",
233 "assetNumber": "string",
234 "subAssetNumber": "string"
235 },
236 "ledgerTransactionId": 0
237 },
238 "ledgerTransactionGroupId": 0,
239 "accountingDocumentId": 0,
240 "entries": [
241 {
242 "id": 0,
243 "displayId": "string",
244 "itemText": "string",
245 "entryType": "D",
246 "amount": 0,
247 "unroundedAmount": 0,
248 "deltaAdjustment": 0,
249 "generalLedger": {
250 "id": 0,
251 "displayId": "string",
252 "generalLedgerAccountName": "string",
253 "generalLedgerAccountCode": "string",
254 "openItemManagement": true,
255 "accountCategory": "BALANCESHEET",
256 "shortName": "string",
257 "longName": "string"
258 },
259 "costCenter": {
260 "id": 0,
261 "displayId": "string",
262 "mainCostCenter": true,
263 "allocationPercentage": 0.1
264 },
265 "profitCenter": {
266 "id": 0,
267 "displayId": "string"
268 },
269 "vendor": {
270 "id": 0,
271 "displayId": "string",
272 "name": "string"
273 },
274 "taxEntries": [
275 {
276 "id": 0,
277 "displayId": "string",
278 "itemText": "string",
279 "entryType": "D",
280 "amount": 0,
281 "unroundedAmount": 0,
282 "deltaAdjustment": 0,
283 "generalLedger": {
284 "id": 0,
285 "displayId": "string",
286 "generalLedgerAccountName": "string",
287 "generalLedgerAccountCode": "string",
288 "openItemManagement": true,
289 "accountCategory": "BALANCESHEET",
290 "shortName": "string",
291 "longName": "string"
292 },
293 "taxBaseAmount": 0,
294 "totalTaxDocumentAmount": 0,
295 "taxExempt": 0,
296 "taxAffected": 0,
297 "vendor": {
298 "id": 0,
299 "displayId": "string",
300 "status": "CREATED",
301 "name": "string",
302 "erpSystemDisplayId": "string"
303 },
304 "ledgerEntryId": 0,
305 "additionalCurrencies": [
306 {
307 "id": 0,
308 "displayId": "string",
309 "entryType": "D",
310 "amount": 0,
311 "unroundedAmount": 0,
312 "deltaAdjustment": 0,
313 "currency": {
314 "id": 0,
315 "displayId": "string"
316 },
317 "currencyDefinitionType": "CONTRACT_CURRENCY",
318 "currencyType": "string",
319 "rate": 0,
320 "conversionDate": "2019-08-24",
321 "translationDateType": "DOCUMENT_DATE",
322 "sourceCurrencyType": "CONTRACT_CURRENCY",
323 "sourceCurrency": {
324 "id": 0,
325 "displayId": "string"
326 },
327 "depreciationArea": {
328 "id": 0,
329 "displayId": "string"
330 },
331 "ledgerEntryId": 0,
332 "ledgerEntryTaxId": 0,
333 "allowsSystemGenerateNewId": true,
334 "numberRangeIdentifierValue": "string",
335 "numberRangeIdentifierType": {
336 "name": "string"
337 },
338 "numberRangeType": {
339 "name": "string"
340 }
341 }
342 ],
343 "allowsSystemGenerateNewId": true,
344 "numberRangeIdentifierValue": "string",
345 "numberRangeIdentifierType": {
346 "name": "string"
347 },
348 "numberRangeType": {
349 "name": "string"
350 }
351 }
352 ],
353 "additionalCurrencies": [
354 {
355 "id": 0,
356 "displayId": "string",
357 "entryType": "D",
358 "amount": 0,
359 "unroundedAmount": 0,
360 "deltaAdjustment": 0,
361 "currency": {
362 "id": 0,
363 "displayId": "string"
364 },
365 "currencyDefinitionType": "CONTRACT_CURRENCY",
366 "currencyType": "string",
367 "rate": 0,
368 "conversionDate": "2019-08-24",
369 "translationDateType": "DOCUMENT_DATE",
370 "sourceCurrencyType": "CONTRACT_CURRENCY",
371 "sourceCurrency": {
372 "id": 0,
373 "displayId": "string"
374 },
375 "depreciationArea": {
376 "id": 0,
377 "displayId": "string"
378 },
379 "ledgerEntryId": 0,
380 "ledgerEntryTaxId": 0,
381 "allowsSystemGenerateNewId": true,
382 "numberRangeIdentifierValue": "string",
383 "numberRangeIdentifierType": {
384 "name": "string"
385 },
386 "numberRangeType": {
387 "name": "string"
388 }
389 }
390 ],
391 "ledgerTransactionId": 0,
392 "expenseCategory": {
393 "id": 0,
394 "displayId": "string",
395 "status": "CREATED",
396 "name": "string",
397 "expenseCategoryType": "PAYMENT"
398 },
399 "allowsSystemGenerateNewId": true,
400 "numberRangeIdentifierValue": "string",
401 "numberRangeIdentifierType": {
402 "name": "string"
403 },
404 "numberRangeType": {
405 "name": "string"
406 }
407 }
408 ],
409 "notes": [
410 {
411 "id": 0,
412 "note": "string"
413 }
414 ],
415 "reasonCode": {
416 "id": 0,
417 "name": "string"
418 },
419 "internalPostingStatus": {
420 "documentNumber": "string",
421 "status": "NA",
422 "postingMessage": "string"
423 },
424 "externalPostingStatus": {
425 "documentNumber": "string",
426 "objType": "string",
427 "objKey": "string",
428 "objSys": "string",
429 "username": "string",
430 "status": "NA",
431 "postingMessage": "string",
432 "taskId": 0
433 },
434 "nlaEnrichmentState": {
435 "id": 0,
436 "status": "PENDING",
437 "message": "string",
438 "history": [
439 {
440 "requestingUser": "string",
441 "enrichmentRequestId": 0,
442 "requestedAt": "2019-08-24T14:15:22Z",
443 "enrichedAt": "2019-08-24T14:15:22Z",
444 "requestStatus": "SENT",
445 "applicationStatus": "PENDING",
446 "message": "string"
447 }
448 ]
449 },
450 "nreEnrichmentState": {
451 "id": 0,
452 "status": "PENDING",
453 "message": "string",
454 "history": [
455 {
456 "requestingUser": "string",
457 "enrichmentRequestId": 0,
458 "requestedAt": "2019-08-24T14:15:22Z",
459 "enrichedAt": "2019-08-24T14:15:22Z",
460 "requestStatus": "SENT",
461 "applicationStatus": "PENDING",
462 "message": "string"
463 }
464 ]
465 },
466 "apEnrichmentState": {
467 "id": 0,
468 "status": "PENDING",
469 "message": "string",
470 "history": [
471 {
472 "requestingUser": "string",
473 "enrichmentRequestId": 0,
474 "requestedAt": "2019-08-24T14:15:22Z",
475 "enrichedAt": "2019-08-24T14:15:22Z",
476 "requestStatus": "SENT",
477 "applicationStatus": "PENDING",
478 "message": "string"
479 }
480 ]
481 },
482 "allowsSystemGenerateNewId": true,
483 "numberRangeIdentifierValue": "string",
484 "numberRangeIdentifierType": {
485 "name": "string"
486 },
487 "numberRangeType": {
488 "name": "string"
489 }
490 }
491}
Delete A Single Resource¶
HTTP Request
DELETE /api/v1/ledger-transaction/{id}
📋 Description: Permanently deletes the resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Partially Update A Resource (Json Patch)¶
HTTP Request
PATCH /api/v1/ledger-transaction/{id}
📋 Description: Applies a JSON Patch (RFC 6902) document to the resource with the given ID. Only the fields specified in the patch are modified; all other fields remain unchanged.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated ledger transaction details, including the transaction amount, description, and any relevant metadata for accurate financial record-keeping. |
Body Parameters
1{}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "createdByApplication": "NLA",
18 "postingTransactionType": "POST",
19 "postingType": "PAYMENT",
20 "ledgerType": "LIABILITY",
21 "paymentType": "N_A",
22 "applicationReferenceId": "string",
23 "documentComments": "string",
24 "documentDate": "2019-08-24",
25 "userDocumentDate": "2019-08-24",
26 "postingDate": "2019-08-24",
27 "transactionDate": "2019-08-24",
28 "fiscalYear": 0,
29 "fiscalPeriod": 0,
30 "currencyDetail": {
31 "currencyId": 0,
32 "currencyDisplayId": "string",
33 "currencyDefinitionType": "CONTRACT_CURRENCY",
34 "currencyType": "string"
35 },
36 "company": {
37 "id": 0,
38 "displayId": "string"
39 },
40 "vendorId": 0,
41 "vendorDisplayId": "string",
42 "vendorName": "string",
43 "invoiceId": 0,
44 "invoicePaymentId": 0,
45 "workspaceId": 0,
46 "clearingLedgerTransactionId": 0,
47 "currency": {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "name": "string",
52 "decimalPoints": 0
53 },
54 "accountingStandard": {
55 "id": 0,
56 "displayId": "string"
57 },
58 "leaseClassificationType": "NON_LEASE",
59 "generateVendorInvoice": true,
60 "splitLeasePayment": true,
61 "parallelCurrencyEnabled": true,
62 "calculateTax": true,
63 "taxCalculationType": "NET",
64 "principalPositionType": "LESSEE",
65 "nlaReferences": {
66 "id": 0,
67 "contract": {
68 "id": 0,
69 "displayId": "string"
70 },
71 "leaseComponent": {
72 "id": 0,
73 "displayId": "string"
74 },
75 "activationGroup": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "unit": {
80 "id": 0,
81 "displayId": "string"
82 },
83 "contractExternalId": "string",
84 "journalId": 0,
85 "activationGroupRevisionId": 0,
86 "ledgerTransactionId": 0
87 },
88 "nreReferences": {
89 "id": 0,
90 "premise": {
91 "id": 0,
92 "displayId": "string"
93 },
94 "location": {
95 "id": 0,
96 "displayId": "string"
97 },
98 "lease": {
99 "id": 0,
100 "displayId": "string"
101 },
102 "ledgerTransactionId": 0
103 },
104 "fosReferences": {
105 "id": 0,
106 "system": {
107 "id": 0,
108 "displayId": "string"
109 },
110 "company": {
111 "id": 0,
112 "displayId": "string"
113 },
114 "leaseArea": {
115 "id": 0,
116 "displayId": "string"
117 },
118 "leaseGroup": {
119 "id": 0,
120 "displayId": "string"
121 },
122 "leaseDepartment": {
123 "id": 0,
124 "displayId": "string"
125 },
126 "businessUnit": {
127 "id": 0,
128 "displayId": "string"
129 },
130 "mainCostCenter": {
131 "id": 0,
132 "displayId": "string"
133 },
134 "internalAssetClass": {
135 "id": 0,
136 "displayId": "string"
137 },
138 "documentType": {
139 "id": 0,
140 "displayId": "string"
141 },
142 "depreciationArea": {
143 "id": 0,
144 "displayId": "string"
145 },
146 "reversalReason": {
147 "id": 0,
148 "displayId": "string"
149 },
150 "tradingPartner": {
151 "id": 0,
152 "displayId": "string"
153 },
154 "allocationNumber": {
155 "id": 0,
156 "displayId": "string"
157 },
158 "responsibleCostCenter": {
159 "id": 0,
160 "displayId": "string"
161 },
162 "workBreakdownStructure": {
163 "id": 0,
164 "displayId": "string"
165 },
166 "businessArea": {
167 "id": 0,
168 "displayId": "string"
169 },
170 "functionalArea": {
171 "id": 0,
172 "displayId": "string"
173 },
174 "plant": {
175 "id": 0,
176 "displayId": "string"
177 },
178 "internalOrder": {
179 "id": 0,
180 "displayId": "string"
181 },
182 "network": {
183 "id": 0,
184 "displayId": "string"
185 },
186 "paymentTerm": {
187 "id": 0,
188 "displayId": "string"
189 },
190 "paymentBlock": {
191 "id": 0,
192 "displayId": "string"
193 },
194 "paymentMethod": {
195 "id": 0,
196 "displayId": "string",
197 "name": "string",
198 "type": "string"
199 },
200 "segment": {
201 "id": 0,
202 "displayId": "string"
203 },
204 "purchasingOrganization": {
205 "id": 0,
206 "displayId": "string"
207 },
208 "purchasingOrder": {
209 "id": 0,
210 "displayId": "string"
211 },
212 "ledgerTransactionId": 0
213 },
214 "apReferences": {
215 "id": 0,
216 "invoice": {
217 "id": 0,
218 "displayId": "string",
219 "name": "string"
220 },
221 "vendor": {
222 "id": 0,
223 "displayId": "string",
224 "name": "string"
225 },
226 "ledgerTransactionId": 0
227 },
228 "assetRegisterReferences": {
229 "id": 0,
230 "asset": {
231 "assetId": 0,
232 "assetDisplayId": "string",
233 "assetNumber": "string",
234 "subAssetNumber": "string"
235 },
236 "ledgerTransactionId": 0
237 },
238 "ledgerTransactionGroupId": 0,
239 "accountingDocumentId": 0,
240 "entries": [
241 {
242 "id": 0,
243 "displayId": "string",
244 "itemText": "string",
245 "entryType": "D",
246 "amount": 0,
247 "unroundedAmount": 0,
248 "deltaAdjustment": 0,
249 "generalLedger": {
250 "id": 0,
251 "displayId": "string",
252 "generalLedgerAccountName": "string",
253 "generalLedgerAccountCode": "string",
254 "openItemManagement": true,
255 "accountCategory": "BALANCESHEET",
256 "shortName": "string",
257 "longName": "string"
258 },
259 "costCenter": {
260 "id": 0,
261 "displayId": "string",
262 "mainCostCenter": true,
263 "allocationPercentage": 0.1
264 },
265 "profitCenter": {
266 "id": 0,
267 "displayId": "string"
268 },
269 "vendor": {
270 "id": 0,
271 "displayId": "string",
272 "name": "string"
273 },
274 "taxEntries": [
275 {
276 "id": 0,
277 "displayId": "string",
278 "itemText": "string",
279 "entryType": "D",
280 "amount": 0,
281 "unroundedAmount": 0,
282 "deltaAdjustment": 0,
283 "generalLedger": {
284 "id": 0,
285 "displayId": "string",
286 "generalLedgerAccountName": "string",
287 "generalLedgerAccountCode": "string",
288 "openItemManagement": true,
289 "accountCategory": "BALANCESHEET",
290 "shortName": "string",
291 "longName": "string"
292 },
293 "taxBaseAmount": 0,
294 "totalTaxDocumentAmount": 0,
295 "taxExempt": 0,
296 "taxAffected": 0,
297 "vendor": {
298 "id": 0,
299 "displayId": "string",
300 "status": "CREATED",
301 "name": "string",
302 "erpSystemDisplayId": "string"
303 },
304 "ledgerEntryId": 0,
305 "additionalCurrencies": [
306 {
307 "id": 0,
308 "displayId": "string",
309 "entryType": "D",
310 "amount": 0,
311 "unroundedAmount": 0,
312 "deltaAdjustment": 0,
313 "currency": {
314 "id": 0,
315 "displayId": "string"
316 },
317 "currencyDefinitionType": "CONTRACT_CURRENCY",
318 "currencyType": "string",
319 "rate": 0,
320 "conversionDate": "2019-08-24",
321 "translationDateType": "DOCUMENT_DATE",
322 "sourceCurrencyType": "CONTRACT_CURRENCY",
323 "sourceCurrency": {
324 "id": 0,
325 "displayId": "string"
326 },
327 "depreciationArea": {
328 "id": 0,
329 "displayId": "string"
330 },
331 "ledgerEntryId": 0,
332 "ledgerEntryTaxId": 0,
333 "allowsSystemGenerateNewId": true,
334 "numberRangeIdentifierValue": "string",
335 "numberRangeIdentifierType": {
336 "name": "string"
337 },
338 "numberRangeType": {
339 "name": "string"
340 }
341 }
342 ],
343 "allowsSystemGenerateNewId": true,
344 "numberRangeIdentifierValue": "string",
345 "numberRangeIdentifierType": {
346 "name": "string"
347 },
348 "numberRangeType": {
349 "name": "string"
350 }
351 }
352 ],
353 "additionalCurrencies": [
354 {
355 "id": 0,
356 "displayId": "string",
357 "entryType": "D",
358 "amount": 0,
359 "unroundedAmount": 0,
360 "deltaAdjustment": 0,
361 "currency": {
362 "id": 0,
363 "displayId": "string"
364 },
365 "currencyDefinitionType": "CONTRACT_CURRENCY",
366 "currencyType": "string",
367 "rate": 0,
368 "conversionDate": "2019-08-24",
369 "translationDateType": "DOCUMENT_DATE",
370 "sourceCurrencyType": "CONTRACT_CURRENCY",
371 "sourceCurrency": {
372 "id": 0,
373 "displayId": "string"
374 },
375 "depreciationArea": {
376 "id": 0,
377 "displayId": "string"
378 },
379 "ledgerEntryId": 0,
380 "ledgerEntryTaxId": 0,
381 "allowsSystemGenerateNewId": true,
382 "numberRangeIdentifierValue": "string",
383 "numberRangeIdentifierType": {
384 "name": "string"
385 },
386 "numberRangeType": {
387 "name": "string"
388 }
389 }
390 ],
391 "ledgerTransactionId": 0,
392 "expenseCategory": {
393 "id": 0,
394 "displayId": "string",
395 "status": "CREATED",
396 "name": "string",
397 "expenseCategoryType": "PAYMENT"
398 },
399 "allowsSystemGenerateNewId": true,
400 "numberRangeIdentifierValue": "string",
401 "numberRangeIdentifierType": {
402 "name": "string"
403 },
404 "numberRangeType": {
405 "name": "string"
406 }
407 }
408 ],
409 "notes": [
410 {
411 "id": 0,
412 "note": "string"
413 }
414 ],
415 "reasonCode": {
416 "id": 0,
417 "name": "string"
418 },
419 "internalPostingStatus": {
420 "documentNumber": "string",
421 "status": "NA",
422 "postingMessage": "string"
423 },
424 "externalPostingStatus": {
425 "documentNumber": "string",
426 "objType": "string",
427 "objKey": "string",
428 "objSys": "string",
429 "username": "string",
430 "status": "NA",
431 "postingMessage": "string",
432 "taskId": 0
433 },
434 "nlaEnrichmentState": {
435 "id": 0,
436 "status": "PENDING",
437 "message": "string",
438 "history": [
439 {
440 "requestingUser": "string",
441 "enrichmentRequestId": 0,
442 "requestedAt": "2019-08-24T14:15:22Z",
443 "enrichedAt": "2019-08-24T14:15:22Z",
444 "requestStatus": "SENT",
445 "applicationStatus": "PENDING",
446 "message": "string"
447 }
448 ]
449 },
450 "nreEnrichmentState": {
451 "id": 0,
452 "status": "PENDING",
453 "message": "string",
454 "history": [
455 {
456 "requestingUser": "string",
457 "enrichmentRequestId": 0,
458 "requestedAt": "2019-08-24T14:15:22Z",
459 "enrichedAt": "2019-08-24T14:15:22Z",
460 "requestStatus": "SENT",
461 "applicationStatus": "PENDING",
462 "message": "string"
463 }
464 ]
465 },
466 "apEnrichmentState": {
467 "id": 0,
468 "status": "PENDING",
469 "message": "string",
470 "history": [
471 {
472 "requestingUser": "string",
473 "enrichmentRequestId": 0,
474 "requestedAt": "2019-08-24T14:15:22Z",
475 "enrichedAt": "2019-08-24T14:15:22Z",
476 "requestStatus": "SENT",
477 "applicationStatus": "PENDING",
478 "message": "string"
479 }
480 ]
481 },
482 "allowsSystemGenerateNewId": true,
483 "numberRangeIdentifierValue": "string",
484 "numberRangeIdentifierType": {
485 "name": "string"
486 },
487 "numberRangeType": {
488 "name": "string"
489 }
490 }
491}
Bulk Create-Or-Update Resources¶
HTTP Request
PUT /api/v1/ledger-transaction/createOrUpdate/bulk
📋 Description: Creates or updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are persisted; failed items are recorded in the response
errorslist. The response body always contains the successfully processed items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing an array of ledger transaction records for bulk creation or update, including necessary financial details and associated metadata. |
Body Parameters
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "createdByApplication": "NLA",
6 "postingTransactionType": "POST",
7 "postingType": "PAYMENT",
8 "ledgerType": "LIABILITY",
9 "paymentType": "N_A",
10 "applicationReferenceId": "string",
11 "documentComments": "string",
12 "documentDate": "2019-08-24",
13 "userDocumentDate": "2019-08-24",
14 "postingDate": "2019-08-24",
15 "transactionDate": "2019-08-24",
16 "fiscalYear": 0,
17 "fiscalPeriod": 0,
18 "currencyDetail": {
19 "currencyId": 0,
20 "currencyDisplayId": "string",
21 "currencyDefinitionType": "CONTRACT_CURRENCY",
22 "currencyType": "string"
23 },
24 "company": {
25 "id": 0,
26 "displayId": "string"
27 },
28 "vendorId": 0,
29 "vendorDisplayId": "string",
30 "vendorName": "string",
31 "invoiceId": 0,
32 "invoicePaymentId": 0,
33 "workspaceId": 0,
34 "clearingLedgerTransactionId": 0,
35 "currency": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "name": "string",
40 "decimalPoints": 0
41 },
42 "accountingStandard": {
43 "id": 0,
44 "displayId": "string"
45 },
46 "leaseClassificationType": "NON_LEASE",
47 "generateVendorInvoice": true,
48 "splitLeasePayment": true,
49 "parallelCurrencyEnabled": true,
50 "calculateTax": true,
51 "taxCalculationType": "NET",
52 "principalPositionType": "LESSEE",
53 "nlaReferences": {
54 "id": 0,
55 "contract": {
56 "id": 0,
57 "displayId": "string"
58 },
59 "leaseComponent": {
60 "id": 0,
61 "displayId": "string"
62 },
63 "activationGroup": {
64 "id": 0,
65 "displayId": "string"
66 },
67 "unit": {
68 "id": 0,
69 "displayId": "string"
70 },
71 "contractExternalId": "string",
72 "journalId": 0,
73 "activationGroupRevisionId": 0,
74 "ledgerTransactionId": 0
75 },
76 "nreReferences": {
77 "id": 0,
78 "premise": {
79 "id": 0,
80 "displayId": "string"
81 },
82 "location": {
83 "id": 0,
84 "displayId": "string"
85 },
86 "lease": {
87 "id": 0,
88 "displayId": "string"
89 },
90 "ledgerTransactionId": 0
91 },
92 "fosReferences": {
93 "id": 0,
94 "system": {
95 "id": 0,
96 "displayId": "string"
97 },
98 "company": {
99 "id": 0,
100 "displayId": "string"
101 },
102 "leaseArea": {
103 "id": 0,
104 "displayId": "string"
105 },
106 "leaseGroup": {
107 "id": 0,
108 "displayId": "string"
109 },
110 "leaseDepartment": {
111 "id": 0,
112 "displayId": "string"
113 },
114 "businessUnit": {
115 "id": 0,
116 "displayId": "string"
117 },
118 "mainCostCenter": {
119 "id": 0,
120 "displayId": "string"
121 },
122 "internalAssetClass": {
123 "id": 0,
124 "displayId": "string"
125 },
126 "documentType": {
127 "id": 0,
128 "displayId": "string"
129 },
130 "depreciationArea": {
131 "id": 0,
132 "displayId": "string"
133 },
134 "reversalReason": {
135 "id": 0,
136 "displayId": "string"
137 },
138 "tradingPartner": {
139 "id": 0,
140 "displayId": "string"
141 },
142 "allocationNumber": {
143 "id": 0,
144 "displayId": "string"
145 },
146 "responsibleCostCenter": {
147 "id": 0,
148 "displayId": "string"
149 },
150 "workBreakdownStructure": {
151 "id": 0,
152 "displayId": "string"
153 },
154 "businessArea": {
155 "id": 0,
156 "displayId": "string"
157 },
158 "functionalArea": {
159 "id": 0,
160 "displayId": "string"
161 },
162 "plant": {
163 "id": 0,
164 "displayId": "string"
165 },
166 "internalOrder": {
167 "id": 0,
168 "displayId": "string"
169 },
170 "network": {
171 "id": 0,
172 "displayId": "string"
173 },
174 "paymentTerm": {
175 "id": 0,
176 "displayId": "string"
177 },
178 "paymentBlock": {
179 "id": 0,
180 "displayId": "string"
181 },
182 "paymentMethod": {
183 "id": 0,
184 "displayId": "string",
185 "name": "string",
186 "type": "string"
187 },
188 "segment": {
189 "id": 0,
190 "displayId": "string"
191 },
192 "purchasingOrganization": {
193 "id": 0,
194 "displayId": "string"
195 },
196 "purchasingOrder": {
197 "id": 0,
198 "displayId": "string"
199 },
200 "ledgerTransactionId": 0
201 },
202 "apReferences": {
203 "id": 0,
204 "invoice": {
205 "id": 0,
206 "displayId": "string",
207 "name": "string"
208 },
209 "vendor": {
210 "id": 0,
211 "displayId": "string",
212 "name": "string"
213 },
214 "ledgerTransactionId": 0
215 },
216 "assetRegisterReferences": {
217 "id": 0,
218 "asset": {
219 "assetId": 0,
220 "assetDisplayId": "string",
221 "assetNumber": "string",
222 "subAssetNumber": "string"
223 },
224 "ledgerTransactionId": 0
225 },
226 "ledgerTransactionGroupId": 0,
227 "accountingDocumentId": 0,
228 "entries": [
229 {
230 "id": 0,
231 "displayId": "string",
232 "itemText": "string",
233 "entryType": "D",
234 "amount": 0,
235 "unroundedAmount": 0,
236 "deltaAdjustment": 0,
237 "generalLedger": {
238 "id": 0,
239 "displayId": "string",
240 "generalLedgerAccountName": "string",
241 "generalLedgerAccountCode": "string",
242 "openItemManagement": true,
243 "accountCategory": "BALANCESHEET",
244 "shortName": "string",
245 "longName": "string"
246 },
247 "costCenter": {
248 "id": 0,
249 "displayId": "string",
250 "mainCostCenter": true,
251 "allocationPercentage": 0.1
252 },
253 "profitCenter": {
254 "id": 0,
255 "displayId": "string"
256 },
257 "vendor": {
258 "id": 0,
259 "displayId": "string",
260 "name": "string"
261 },
262 "taxEntries": [
263 {
264 "id": 0,
265 "displayId": "string",
266 "itemText": "string",
267 "entryType": "D",
268 "amount": 0,
269 "unroundedAmount": 0,
270 "deltaAdjustment": 0,
271 "generalLedger": {
272 "id": 0,
273 "displayId": "string",
274 "generalLedgerAccountName": "string",
275 "generalLedgerAccountCode": "string",
276 "openItemManagement": true,
277 "accountCategory": "BALANCESHEET",
278 "shortName": "string",
279 "longName": "string"
280 },
281 "taxBaseAmount": 0,
282 "totalTaxDocumentAmount": 0,
283 "taxExempt": 0,
284 "taxAffected": 0,
285 "vendor": {
286 "id": 0,
287 "displayId": "string",
288 "status": "CREATED",
289 "name": "string",
290 "erpSystemDisplayId": "string"
291 },
292 "ledgerEntryId": 0,
293 "additionalCurrencies": [
294 {
295 "id": 0,
296 "displayId": "string",
297 "entryType": "D",
298 "amount": 0,
299 "unroundedAmount": 0,
300 "deltaAdjustment": 0,
301 "currency": {
302 "id": 0,
303 "displayId": "string"
304 },
305 "currencyDefinitionType": "CONTRACT_CURRENCY",
306 "currencyType": "string",
307 "rate": 0,
308 "conversionDate": "2019-08-24",
309 "translationDateType": "DOCUMENT_DATE",
310 "sourceCurrencyType": "CONTRACT_CURRENCY",
311 "sourceCurrency": {
312 "id": 0,
313 "displayId": "string"
314 },
315 "depreciationArea": {
316 "id": 0,
317 "displayId": "string"
318 },
319 "ledgerEntryId": 0,
320 "ledgerEntryTaxId": 0,
321 "allowsSystemGenerateNewId": true,
322 "numberRangeIdentifierValue": "string",
323 "numberRangeIdentifierType": {
324 "name": "string"
325 },
326 "numberRangeType": {
327 "name": "string"
328 }
329 }
330 ],
331 "allowsSystemGenerateNewId": true,
332 "numberRangeIdentifierValue": "string",
333 "numberRangeIdentifierType": {
334 "name": "string"
335 },
336 "numberRangeType": {
337 "name": "string"
338 }
339 }
340 ],
341 "additionalCurrencies": [
342 {
343 "id": 0,
344 "displayId": "string",
345 "entryType": "D",
346 "amount": 0,
347 "unroundedAmount": 0,
348 "deltaAdjustment": 0,
349 "currency": {
350 "id": 0,
351 "displayId": "string"
352 },
353 "currencyDefinitionType": "CONTRACT_CURRENCY",
354 "currencyType": "string",
355 "rate": 0,
356 "conversionDate": "2019-08-24",
357 "translationDateType": "DOCUMENT_DATE",
358 "sourceCurrencyType": "CONTRACT_CURRENCY",
359 "sourceCurrency": {
360 "id": 0,
361 "displayId": "string"
362 },
363 "depreciationArea": {
364 "id": 0,
365 "displayId": "string"
366 },
367 "ledgerEntryId": 0,
368 "ledgerEntryTaxId": 0,
369 "allowsSystemGenerateNewId": true,
370 "numberRangeIdentifierValue": "string",
371 "numberRangeIdentifierType": {
372 "name": "string"
373 },
374 "numberRangeType": {
375 "name": "string"
376 }
377 }
378 ],
379 "ledgerTransactionId": 0,
380 "expenseCategory": {
381 "id": 0,
382 "displayId": "string",
383 "status": "CREATED",
384 "name": "string",
385 "expenseCategoryType": "PAYMENT"
386 },
387 "allowsSystemGenerateNewId": true,
388 "numberRangeIdentifierValue": "string",
389 "numberRangeIdentifierType": {
390 "name": "string"
391 },
392 "numberRangeType": {
393 "name": "string"
394 }
395 }
396 ],
397 "notes": [
398 {
399 "id": 0,
400 "note": "string"
401 }
402 ],
403 "reasonCode": {
404 "id": 0,
405 "name": "string"
406 },
407 "internalPostingStatus": {
408 "documentNumber": "string",
409 "status": "NA",
410 "postingMessage": "string"
411 },
412 "externalPostingStatus": {
413 "documentNumber": "string",
414 "objType": "string",
415 "objKey": "string",
416 "objSys": "string",
417 "username": "string",
418 "status": "NA",
419 "postingMessage": "string",
420 "taskId": 0
421 },
422 "nlaEnrichmentState": {
423 "id": 0,
424 "status": "PENDING",
425 "message": "string",
426 "history": [
427 {
428 "requestingUser": "string",
429 "enrichmentRequestId": 0,
430 "requestedAt": "2019-08-24T14:15:22Z",
431 "enrichedAt": "2019-08-24T14:15:22Z",
432 "requestStatus": "SENT",
433 "applicationStatus": "PENDING",
434 "message": "string"
435 }
436 ]
437 },
438 "nreEnrichmentState": {
439 "id": 0,
440 "status": "PENDING",
441 "message": "string",
442 "history": [
443 {
444 "requestingUser": "string",
445 "enrichmentRequestId": 0,
446 "requestedAt": "2019-08-24T14:15:22Z",
447 "enrichedAt": "2019-08-24T14:15:22Z",
448 "requestStatus": "SENT",
449 "applicationStatus": "PENDING",
450 "message": "string"
451 }
452 ]
453 },
454 "apEnrichmentState": {
455 "id": 0,
456 "status": "PENDING",
457 "message": "string",
458 "history": [
459 {
460 "requestingUser": "string",
461 "enrichmentRequestId": 0,
462 "requestedAt": "2019-08-24T14:15:22Z",
463 "enrichedAt": "2019-08-24T14:15:22Z",
464 "requestStatus": "SENT",
465 "applicationStatus": "PENDING",
466 "message": "string"
467 }
468 ]
469 },
470 "allowsSystemGenerateNewId": true,
471 "numberRangeIdentifierValue": "string",
472 "numberRangeIdentifierType": {
473 "name": "string"
474 },
475 "numberRangeType": {
476 "name": "string"
477 }
478 }
479]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "displayId": "string",
18 "createdByApplication": "NLA",
19 "postingTransactionType": "POST",
20 "postingType": "PAYMENT",
21 "ledgerType": "LIABILITY",
22 "paymentType": "N_A",
23 "applicationReferenceId": "string",
24 "documentComments": "string",
25 "documentDate": "2019-08-24",
26 "userDocumentDate": "2019-08-24",
27 "postingDate": "2019-08-24",
28 "transactionDate": "2019-08-24",
29 "fiscalYear": 0,
30 "fiscalPeriod": 0,
31 "currencyDetail": {
32 "currencyId": 0,
33 "currencyDisplayId": "string",
34 "currencyDefinitionType": "CONTRACT_CURRENCY",
35 "currencyType": "string"
36 },
37 "company": {
38 "id": 0,
39 "displayId": "string"
40 },
41 "vendorId": 0,
42 "vendorDisplayId": "string",
43 "vendorName": "string",
44 "invoiceId": 0,
45 "invoicePaymentId": 0,
46 "workspaceId": 0,
47 "clearingLedgerTransactionId": 0,
48 "currency": {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "name": "string",
53 "decimalPoints": 0
54 },
55 "accountingStandard": {
56 "id": 0,
57 "displayId": "string"
58 },
59 "leaseClassificationType": "NON_LEASE",
60 "generateVendorInvoice": true,
61 "splitLeasePayment": true,
62 "parallelCurrencyEnabled": true,
63 "calculateTax": true,
64 "taxCalculationType": "NET",
65 "principalPositionType": "LESSEE",
66 "nlaReferences": {
67 "id": 0,
68 "contract": {
69 "id": 0,
70 "displayId": "string"
71 },
72 "leaseComponent": {
73 "id": 0,
74 "displayId": "string"
75 },
76 "activationGroup": {
77 "id": 0,
78 "displayId": "string"
79 },
80 "unit": {
81 "id": 0,
82 "displayId": "string"
83 },
84 "contractExternalId": "string",
85 "journalId": 0,
86 "activationGroupRevisionId": 0,
87 "ledgerTransactionId": 0
88 },
89 "nreReferences": {
90 "id": 0,
91 "premise": {
92 "id": 0,
93 "displayId": "string"
94 },
95 "location": {
96 "id": 0,
97 "displayId": "string"
98 },
99 "lease": {
100 "id": 0,
101 "displayId": "string"
102 },
103 "ledgerTransactionId": 0
104 },
105 "fosReferences": {
106 "id": 0,
107 "system": {
108 "id": 0,
109 "displayId": "string"
110 },
111 "company": {
112 "id": 0,
113 "displayId": "string"
114 },
115 "leaseArea": {
116 "id": 0,
117 "displayId": "string"
118 },
119 "leaseGroup": {
120 "id": 0,
121 "displayId": "string"
122 },
123 "leaseDepartment": {
124 "id": 0,
125 "displayId": "string"
126 },
127 "businessUnit": {
128 "id": 0,
129 "displayId": "string"
130 },
131 "mainCostCenter": {
132 "id": 0,
133 "displayId": "string"
134 },
135 "internalAssetClass": {
136 "id": 0,
137 "displayId": "string"
138 },
139 "documentType": {
140 "id": 0,
141 "displayId": "string"
142 },
143 "depreciationArea": {
144 "id": 0,
145 "displayId": "string"
146 },
147 "reversalReason": {
148 "id": 0,
149 "displayId": "string"
150 },
151 "tradingPartner": {
152 "id": 0,
153 "displayId": "string"
154 },
155 "allocationNumber": {
156 "id": 0,
157 "displayId": "string"
158 },
159 "responsibleCostCenter": {
160 "id": 0,
161 "displayId": "string"
162 },
163 "workBreakdownStructure": {
164 "id": 0,
165 "displayId": "string"
166 },
167 "businessArea": {
168 "id": 0,
169 "displayId": "string"
170 },
171 "functionalArea": {
172 "id": 0,
173 "displayId": "string"
174 },
175 "plant": {
176 "id": 0,
177 "displayId": "string"
178 },
179 "internalOrder": {
180 "id": 0,
181 "displayId": "string"
182 },
183 "network": {
184 "id": 0,
185 "displayId": "string"
186 },
187 "paymentTerm": {
188 "id": 0,
189 "displayId": "string"
190 },
191 "paymentBlock": {
192 "id": 0,
193 "displayId": "string"
194 },
195 "paymentMethod": {
196 "id": 0,
197 "displayId": "string",
198 "name": "string",
199 "type": "string"
200 },
201 "segment": {
202 "id": 0,
203 "displayId": "string"
204 },
205 "purchasingOrganization": {
206 "id": 0,
207 "displayId": "string"
208 },
209 "purchasingOrder": {
210 "id": 0,
211 "displayId": "string"
212 },
213 "ledgerTransactionId": 0
214 },
215 "apReferences": {
216 "id": 0,
217 "invoice": {
218 "id": 0,
219 "displayId": "string",
220 "name": "string"
221 },
222 "vendor": {
223 "id": 0,
224 "displayId": "string",
225 "name": "string"
226 },
227 "ledgerTransactionId": 0
228 },
229 "assetRegisterReferences": {
230 "id": 0,
231 "asset": {
232 "assetId": 0,
233 "assetDisplayId": "string",
234 "assetNumber": "string",
235 "subAssetNumber": "string"
236 },
237 "ledgerTransactionId": 0
238 },
239 "ledgerTransactionGroupId": 0,
240 "accountingDocumentId": 0,
241 "entries": [
242 {
243 "id": 0,
244 "displayId": "string",
245 "itemText": "string",
246 "entryType": "D",
247 "amount": 0,
248 "unroundedAmount": 0,
249 "deltaAdjustment": 0,
250 "generalLedger": {
251 "id": 0,
252 "displayId": "string",
253 "generalLedgerAccountName": "string",
254 "generalLedgerAccountCode": "string",
255 "openItemManagement": true,
256 "accountCategory": "BALANCESHEET",
257 "shortName": "string",
258 "longName": "string"
259 },
260 "costCenter": {
261 "id": 0,
262 "displayId": "string",
263 "mainCostCenter": true,
264 "allocationPercentage": 0.1
265 },
266 "profitCenter": {
267 "id": 0,
268 "displayId": "string"
269 },
270 "vendor": {
271 "id": 0,
272 "displayId": "string",
273 "name": "string"
274 },
275 "taxEntries": [
276 {
277 "id": 0,
278 "displayId": "string",
279 "itemText": "string",
280 "entryType": "D",
281 "amount": 0,
282 "unroundedAmount": 0,
283 "deltaAdjustment": 0,
284 "generalLedger": {
285 "id": 0,
286 "displayId": "string",
287 "generalLedgerAccountName": "string",
288 "generalLedgerAccountCode": "string",
289 "openItemManagement": true,
290 "accountCategory": "BALANCESHEET",
291 "shortName": "string",
292 "longName": "string"
293 },
294 "taxBaseAmount": 0,
295 "totalTaxDocumentAmount": 0,
296 "taxExempt": 0,
297 "taxAffected": 0,
298 "vendor": {
299 "id": 0,
300 "displayId": "string",
301 "status": "CREATED",
302 "name": "string",
303 "erpSystemDisplayId": "string"
304 },
305 "ledgerEntryId": 0,
306 "additionalCurrencies": [
307 {
308 "id": 0,
309 "displayId": "string",
310 "entryType": "D",
311 "amount": 0,
312 "unroundedAmount": 0,
313 "deltaAdjustment": 0,
314 "currency": {
315 "id": 0,
316 "displayId": "string"
317 },
318 "currencyDefinitionType": "CONTRACT_CURRENCY",
319 "currencyType": "string",
320 "rate": 0,
321 "conversionDate": "2019-08-24",
322 "translationDateType": "DOCUMENT_DATE",
323 "sourceCurrencyType": "CONTRACT_CURRENCY",
324 "sourceCurrency": {
325 "id": 0,
326 "displayId": "string"
327 },
328 "depreciationArea": {
329 "id": 0,
330 "displayId": "string"
331 },
332 "ledgerEntryId": 0,
333 "ledgerEntryTaxId": 0,
334 "allowsSystemGenerateNewId": true,
335 "numberRangeIdentifierValue": "string",
336 "numberRangeIdentifierType": {
337 "name": "string"
338 },
339 "numberRangeType": {
340 "name": "string"
341 }
342 }
343 ],
344 "allowsSystemGenerateNewId": true,
345 "numberRangeIdentifierValue": "string",
346 "numberRangeIdentifierType": {
347 "name": "string"
348 },
349 "numberRangeType": {
350 "name": "string"
351 }
352 }
353 ],
354 "additionalCurrencies": [
355 {
356 "id": 0,
357 "displayId": "string",
358 "entryType": "D",
359 "amount": 0,
360 "unroundedAmount": 0,
361 "deltaAdjustment": 0,
362 "currency": {
363 "id": 0,
364 "displayId": "string"
365 },
366 "currencyDefinitionType": "CONTRACT_CURRENCY",
367 "currencyType": "string",
368 "rate": 0,
369 "conversionDate": "2019-08-24",
370 "translationDateType": "DOCUMENT_DATE",
371 "sourceCurrencyType": "CONTRACT_CURRENCY",
372 "sourceCurrency": {
373 "id": 0,
374 "displayId": "string"
375 },
376 "depreciationArea": {
377 "id": 0,
378 "displayId": "string"
379 },
380 "ledgerEntryId": 0,
381 "ledgerEntryTaxId": 0,
382 "allowsSystemGenerateNewId": true,
383 "numberRangeIdentifierValue": "string",
384 "numberRangeIdentifierType": {
385 "name": "string"
386 },
387 "numberRangeType": {
388 "name": "string"
389 }
390 }
391 ],
392 "ledgerTransactionId": 0,
393 "expenseCategory": {
394 "id": 0,
395 "displayId": "string",
396 "status": "CREATED",
397 "name": "string",
398 "expenseCategoryType": "PAYMENT"
399 },
400 "allowsSystemGenerateNewId": true,
401 "numberRangeIdentifierValue": "string",
402 "numberRangeIdentifierType": {
403 "name": "string"
404 },
405 "numberRangeType": {
406 "name": "string"
407 }
408 }
409 ],
410 "notes": [
411 {
412 "id": 0,
413 "note": "string"
414 }
415 ],
416 "reasonCode": {
417 "id": 0,
418 "name": "string"
419 },
420 "internalPostingStatus": {
421 "documentNumber": "string",
422 "status": "NA",
423 "postingMessage": "string"
424 },
425 "externalPostingStatus": {
426 "documentNumber": "string",
427 "objType": "string",
428 "objKey": "string",
429 "objSys": "string",
430 "username": "string",
431 "status": "NA",
432 "postingMessage": "string",
433 "taskId": 0
434 },
435 "nlaEnrichmentState": {
436 "id": 0,
437 "status": "PENDING",
438 "message": "string",
439 "history": [
440 {
441 "requestingUser": "string",
442 "enrichmentRequestId": 0,
443 "requestedAt": "2019-08-24T14:15:22Z",
444 "enrichedAt": "2019-08-24T14:15:22Z",
445 "requestStatus": "SENT",
446 "applicationStatus": "PENDING",
447 "message": "string"
448 }
449 ]
450 },
451 "nreEnrichmentState": {
452 "id": 0,
453 "status": "PENDING",
454 "message": "string",
455 "history": [
456 {
457 "requestingUser": "string",
458 "enrichmentRequestId": 0,
459 "requestedAt": "2019-08-24T14:15:22Z",
460 "enrichedAt": "2019-08-24T14:15:22Z",
461 "requestStatus": "SENT",
462 "applicationStatus": "PENDING",
463 "message": "string"
464 }
465 ]
466 },
467 "apEnrichmentState": {
468 "id": 0,
469 "status": "PENDING",
470 "message": "string",
471 "history": [
472 {
473 "requestingUser": "string",
474 "enrichmentRequestId": 0,
475 "requestedAt": "2019-08-24T14:15:22Z",
476 "enrichedAt": "2019-08-24T14:15:22Z",
477 "requestStatus": "SENT",
478 "applicationStatus": "PENDING",
479 "message": "string"
480 }
481 ]
482 },
483 "allowsSystemGenerateNewId": true,
484 "numberRangeIdentifierValue": "string",
485 "numberRangeIdentifierType": {
486 "name": "string"
487 },
488 "numberRangeType": {
489 "name": "string"
490 }
491 }
492 ]
493}
Create Or Update A Resource¶
HTTP Request
PUT /api/v1/ledger-transaction/createOrUpdate
📋 Description: Creates the resource if no matching record exists, or fully updates it if one is found. Idempotent: safe to call multiple times with the same payload.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the ledger transaction details, including transaction ID, amount, date, and associated account information for creating or updating financial records. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "createdByApplication": "NLA",
5 "postingTransactionType": "POST",
6 "postingType": "PAYMENT",
7 "ledgerType": "LIABILITY",
8 "paymentType": "N_A",
9 "applicationReferenceId": "string",
10 "documentComments": "string",
11 "documentDate": "2019-08-24",
12 "userDocumentDate": "2019-08-24",
13 "postingDate": "2019-08-24",
14 "transactionDate": "2019-08-24",
15 "fiscalYear": 0,
16 "fiscalPeriod": 0,
17 "currencyDetail": {
18 "currencyId": 0,
19 "currencyDisplayId": "string",
20 "currencyDefinitionType": "CONTRACT_CURRENCY",
21 "currencyType": "string"
22 },
23 "company": {
24 "id": 0,
25 "displayId": "string"
26 },
27 "vendorId": 0,
28 "vendorDisplayId": "string",
29 "vendorName": "string",
30 "invoiceId": 0,
31 "invoicePaymentId": 0,
32 "workspaceId": 0,
33 "clearingLedgerTransactionId": 0,
34 "currency": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string",
39 "decimalPoints": 0
40 },
41 "accountingStandard": {
42 "id": 0,
43 "displayId": "string"
44 },
45 "leaseClassificationType": "NON_LEASE",
46 "generateVendorInvoice": true,
47 "splitLeasePayment": true,
48 "parallelCurrencyEnabled": true,
49 "calculateTax": true,
50 "taxCalculationType": "NET",
51 "principalPositionType": "LESSEE",
52 "nlaReferences": {
53 "id": 0,
54 "contract": {
55 "id": 0,
56 "displayId": "string"
57 },
58 "leaseComponent": {
59 "id": 0,
60 "displayId": "string"
61 },
62 "activationGroup": {
63 "id": 0,
64 "displayId": "string"
65 },
66 "unit": {
67 "id": 0,
68 "displayId": "string"
69 },
70 "contractExternalId": "string",
71 "journalId": 0,
72 "activationGroupRevisionId": 0,
73 "ledgerTransactionId": 0
74 },
75 "nreReferences": {
76 "id": 0,
77 "premise": {
78 "id": 0,
79 "displayId": "string"
80 },
81 "location": {
82 "id": 0,
83 "displayId": "string"
84 },
85 "lease": {
86 "id": 0,
87 "displayId": "string"
88 },
89 "ledgerTransactionId": 0
90 },
91 "fosReferences": {
92 "id": 0,
93 "system": {
94 "id": 0,
95 "displayId": "string"
96 },
97 "company": {
98 "id": 0,
99 "displayId": "string"
100 },
101 "leaseArea": {
102 "id": 0,
103 "displayId": "string"
104 },
105 "leaseGroup": {
106 "id": 0,
107 "displayId": "string"
108 },
109 "leaseDepartment": {
110 "id": 0,
111 "displayId": "string"
112 },
113 "businessUnit": {
114 "id": 0,
115 "displayId": "string"
116 },
117 "mainCostCenter": {
118 "id": 0,
119 "displayId": "string"
120 },
121 "internalAssetClass": {
122 "id": 0,
123 "displayId": "string"
124 },
125 "documentType": {
126 "id": 0,
127 "displayId": "string"
128 },
129 "depreciationArea": {
130 "id": 0,
131 "displayId": "string"
132 },
133 "reversalReason": {
134 "id": 0,
135 "displayId": "string"
136 },
137 "tradingPartner": {
138 "id": 0,
139 "displayId": "string"
140 },
141 "allocationNumber": {
142 "id": 0,
143 "displayId": "string"
144 },
145 "responsibleCostCenter": {
146 "id": 0,
147 "displayId": "string"
148 },
149 "workBreakdownStructure": {
150 "id": 0,
151 "displayId": "string"
152 },
153 "businessArea": {
154 "id": 0,
155 "displayId": "string"
156 },
157 "functionalArea": {
158 "id": 0,
159 "displayId": "string"
160 },
161 "plant": {
162 "id": 0,
163 "displayId": "string"
164 },
165 "internalOrder": {
166 "id": 0,
167 "displayId": "string"
168 },
169 "network": {
170 "id": 0,
171 "displayId": "string"
172 },
173 "paymentTerm": {
174 "id": 0,
175 "displayId": "string"
176 },
177 "paymentBlock": {
178 "id": 0,
179 "displayId": "string"
180 },
181 "paymentMethod": {
182 "id": 0,
183 "displayId": "string",
184 "name": "string",
185 "type": "string"
186 },
187 "segment": {
188 "id": 0,
189 "displayId": "string"
190 },
191 "purchasingOrganization": {
192 "id": 0,
193 "displayId": "string"
194 },
195 "purchasingOrder": {
196 "id": 0,
197 "displayId": "string"
198 },
199 "ledgerTransactionId": 0
200 },
201 "apReferences": {
202 "id": 0,
203 "invoice": {
204 "id": 0,
205 "displayId": "string",
206 "name": "string"
207 },
208 "vendor": {
209 "id": 0,
210 "displayId": "string",
211 "name": "string"
212 },
213 "ledgerTransactionId": 0
214 },
215 "assetRegisterReferences": {
216 "id": 0,
217 "asset": {
218 "assetId": 0,
219 "assetDisplayId": "string",
220 "assetNumber": "string",
221 "subAssetNumber": "string"
222 },
223 "ledgerTransactionId": 0
224 },
225 "ledgerTransactionGroupId": 0,
226 "accountingDocumentId": 0,
227 "entries": [
228 {
229 "id": 0,
230 "displayId": "string",
231 "itemText": "string",
232 "entryType": "D",
233 "amount": 0,
234 "unroundedAmount": 0,
235 "deltaAdjustment": 0,
236 "generalLedger": {
237 "id": 0,
238 "displayId": "string",
239 "generalLedgerAccountName": "string",
240 "generalLedgerAccountCode": "string",
241 "openItemManagement": true,
242 "accountCategory": "BALANCESHEET",
243 "shortName": "string",
244 "longName": "string"
245 },
246 "costCenter": {
247 "id": 0,
248 "displayId": "string",
249 "mainCostCenter": true,
250 "allocationPercentage": 0.1
251 },
252 "profitCenter": {
253 "id": 0,
254 "displayId": "string"
255 },
256 "vendor": {
257 "id": 0,
258 "displayId": "string",
259 "name": "string"
260 },
261 "taxEntries": [
262 {
263 "id": 0,
264 "displayId": "string",
265 "itemText": "string",
266 "entryType": "D",
267 "amount": 0,
268 "unroundedAmount": 0,
269 "deltaAdjustment": 0,
270 "generalLedger": {
271 "id": 0,
272 "displayId": "string",
273 "generalLedgerAccountName": "string",
274 "generalLedgerAccountCode": "string",
275 "openItemManagement": true,
276 "accountCategory": "BALANCESHEET",
277 "shortName": "string",
278 "longName": "string"
279 },
280 "taxBaseAmount": 0,
281 "totalTaxDocumentAmount": 0,
282 "taxExempt": 0,
283 "taxAffected": 0,
284 "vendor": {
285 "id": 0,
286 "displayId": "string",
287 "status": "CREATED",
288 "name": "string",
289 "erpSystemDisplayId": "string"
290 },
291 "ledgerEntryId": 0,
292 "additionalCurrencies": [
293 {
294 "id": 0,
295 "displayId": "string",
296 "entryType": "D",
297 "amount": 0,
298 "unroundedAmount": 0,
299 "deltaAdjustment": 0,
300 "currency": {
301 "id": 0,
302 "displayId": "string"
303 },
304 "currencyDefinitionType": "CONTRACT_CURRENCY",
305 "currencyType": "string",
306 "rate": 0,
307 "conversionDate": "2019-08-24",
308 "translationDateType": "DOCUMENT_DATE",
309 "sourceCurrencyType": "CONTRACT_CURRENCY",
310 "sourceCurrency": {
311 "id": 0,
312 "displayId": "string"
313 },
314 "depreciationArea": {
315 "id": 0,
316 "displayId": "string"
317 },
318 "ledgerEntryId": 0,
319 "ledgerEntryTaxId": 0,
320 "allowsSystemGenerateNewId": true,
321 "numberRangeIdentifierValue": "string",
322 "numberRangeIdentifierType": {
323 "name": "string"
324 },
325 "numberRangeType": {
326 "name": "string"
327 }
328 }
329 ],
330 "allowsSystemGenerateNewId": true,
331 "numberRangeIdentifierValue": "string",
332 "numberRangeIdentifierType": {
333 "name": "string"
334 },
335 "numberRangeType": {
336 "name": "string"
337 }
338 }
339 ],
340 "additionalCurrencies": [
341 {
342 "id": 0,
343 "displayId": "string",
344 "entryType": "D",
345 "amount": 0,
346 "unroundedAmount": 0,
347 "deltaAdjustment": 0,
348 "currency": {
349 "id": 0,
350 "displayId": "string"
351 },
352 "currencyDefinitionType": "CONTRACT_CURRENCY",
353 "currencyType": "string",
354 "rate": 0,
355 "conversionDate": "2019-08-24",
356 "translationDateType": "DOCUMENT_DATE",
357 "sourceCurrencyType": "CONTRACT_CURRENCY",
358 "sourceCurrency": {
359 "id": 0,
360 "displayId": "string"
361 },
362 "depreciationArea": {
363 "id": 0,
364 "displayId": "string"
365 },
366 "ledgerEntryId": 0,
367 "ledgerEntryTaxId": 0,
368 "allowsSystemGenerateNewId": true,
369 "numberRangeIdentifierValue": "string",
370 "numberRangeIdentifierType": {
371 "name": "string"
372 },
373 "numberRangeType": {
374 "name": "string"
375 }
376 }
377 ],
378 "ledgerTransactionId": 0,
379 "expenseCategory": {
380 "id": 0,
381 "displayId": "string",
382 "status": "CREATED",
383 "name": "string",
384 "expenseCategoryType": "PAYMENT"
385 },
386 "allowsSystemGenerateNewId": true,
387 "numberRangeIdentifierValue": "string",
388 "numberRangeIdentifierType": {
389 "name": "string"
390 },
391 "numberRangeType": {
392 "name": "string"
393 }
394 }
395 ],
396 "notes": [
397 {
398 "id": 0,
399 "note": "string"
400 }
401 ],
402 "reasonCode": {
403 "id": 0,
404 "name": "string"
405 },
406 "internalPostingStatus": {
407 "documentNumber": "string",
408 "status": "NA",
409 "postingMessage": "string"
410 },
411 "externalPostingStatus": {
412 "documentNumber": "string",
413 "objType": "string",
414 "objKey": "string",
415 "objSys": "string",
416 "username": "string",
417 "status": "NA",
418 "postingMessage": "string",
419 "taskId": 0
420 },
421 "nlaEnrichmentState": {
422 "id": 0,
423 "status": "PENDING",
424 "message": "string",
425 "history": [
426 {
427 "requestingUser": "string",
428 "enrichmentRequestId": 0,
429 "requestedAt": "2019-08-24T14:15:22Z",
430 "enrichedAt": "2019-08-24T14:15:22Z",
431 "requestStatus": "SENT",
432 "applicationStatus": "PENDING",
433 "message": "string"
434 }
435 ]
436 },
437 "nreEnrichmentState": {
438 "id": 0,
439 "status": "PENDING",
440 "message": "string",
441 "history": [
442 {
443 "requestingUser": "string",
444 "enrichmentRequestId": 0,
445 "requestedAt": "2019-08-24T14:15:22Z",
446 "enrichedAt": "2019-08-24T14:15:22Z",
447 "requestStatus": "SENT",
448 "applicationStatus": "PENDING",
449 "message": "string"
450 }
451 ]
452 },
453 "apEnrichmentState": {
454 "id": 0,
455 "status": "PENDING",
456 "message": "string",
457 "history": [
458 {
459 "requestingUser": "string",
460 "enrichmentRequestId": 0,
461 "requestedAt": "2019-08-24T14:15:22Z",
462 "enrichedAt": "2019-08-24T14:15:22Z",
463 "requestStatus": "SENT",
464 "applicationStatus": "PENDING",
465 "message": "string"
466 }
467 ]
468 },
469 "allowsSystemGenerateNewId": true,
470 "numberRangeIdentifierValue": "string",
471 "numberRangeIdentifierType": {
472 "name": "string"
473 },
474 "numberRangeType": {
475 "name": "string"
476 }
477}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "createdByApplication": "NLA",
18 "postingTransactionType": "POST",
19 "postingType": "PAYMENT",
20 "ledgerType": "LIABILITY",
21 "paymentType": "N_A",
22 "applicationReferenceId": "string",
23 "documentComments": "string",
24 "documentDate": "2019-08-24",
25 "userDocumentDate": "2019-08-24",
26 "postingDate": "2019-08-24",
27 "transactionDate": "2019-08-24",
28 "fiscalYear": 0,
29 "fiscalPeriod": 0,
30 "currencyDetail": {
31 "currencyId": 0,
32 "currencyDisplayId": "string",
33 "currencyDefinitionType": "CONTRACT_CURRENCY",
34 "currencyType": "string"
35 },
36 "company": {
37 "id": 0,
38 "displayId": "string"
39 },
40 "vendorId": 0,
41 "vendorDisplayId": "string",
42 "vendorName": "string",
43 "invoiceId": 0,
44 "invoicePaymentId": 0,
45 "workspaceId": 0,
46 "clearingLedgerTransactionId": 0,
47 "currency": {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "name": "string",
52 "decimalPoints": 0
53 },
54 "accountingStandard": {
55 "id": 0,
56 "displayId": "string"
57 },
58 "leaseClassificationType": "NON_LEASE",
59 "generateVendorInvoice": true,
60 "splitLeasePayment": true,
61 "parallelCurrencyEnabled": true,
62 "calculateTax": true,
63 "taxCalculationType": "NET",
64 "principalPositionType": "LESSEE",
65 "nlaReferences": {
66 "id": 0,
67 "contract": {
68 "id": 0,
69 "displayId": "string"
70 },
71 "leaseComponent": {
72 "id": 0,
73 "displayId": "string"
74 },
75 "activationGroup": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "unit": {
80 "id": 0,
81 "displayId": "string"
82 },
83 "contractExternalId": "string",
84 "journalId": 0,
85 "activationGroupRevisionId": 0,
86 "ledgerTransactionId": 0
87 },
88 "nreReferences": {
89 "id": 0,
90 "premise": {
91 "id": 0,
92 "displayId": "string"
93 },
94 "location": {
95 "id": 0,
96 "displayId": "string"
97 },
98 "lease": {
99 "id": 0,
100 "displayId": "string"
101 },
102 "ledgerTransactionId": 0
103 },
104 "fosReferences": {
105 "id": 0,
106 "system": {
107 "id": 0,
108 "displayId": "string"
109 },
110 "company": {
111 "id": 0,
112 "displayId": "string"
113 },
114 "leaseArea": {
115 "id": 0,
116 "displayId": "string"
117 },
118 "leaseGroup": {
119 "id": 0,
120 "displayId": "string"
121 },
122 "leaseDepartment": {
123 "id": 0,
124 "displayId": "string"
125 },
126 "businessUnit": {
127 "id": 0,
128 "displayId": "string"
129 },
130 "mainCostCenter": {
131 "id": 0,
132 "displayId": "string"
133 },
134 "internalAssetClass": {
135 "id": 0,
136 "displayId": "string"
137 },
138 "documentType": {
139 "id": 0,
140 "displayId": "string"
141 },
142 "depreciationArea": {
143 "id": 0,
144 "displayId": "string"
145 },
146 "reversalReason": {
147 "id": 0,
148 "displayId": "string"
149 },
150 "tradingPartner": {
151 "id": 0,
152 "displayId": "string"
153 },
154 "allocationNumber": {
155 "id": 0,
156 "displayId": "string"
157 },
158 "responsibleCostCenter": {
159 "id": 0,
160 "displayId": "string"
161 },
162 "workBreakdownStructure": {
163 "id": 0,
164 "displayId": "string"
165 },
166 "businessArea": {
167 "id": 0,
168 "displayId": "string"
169 },
170 "functionalArea": {
171 "id": 0,
172 "displayId": "string"
173 },
174 "plant": {
175 "id": 0,
176 "displayId": "string"
177 },
178 "internalOrder": {
179 "id": 0,
180 "displayId": "string"
181 },
182 "network": {
183 "id": 0,
184 "displayId": "string"
185 },
186 "paymentTerm": {
187 "id": 0,
188 "displayId": "string"
189 },
190 "paymentBlock": {
191 "id": 0,
192 "displayId": "string"
193 },
194 "paymentMethod": {
195 "id": 0,
196 "displayId": "string",
197 "name": "string",
198 "type": "string"
199 },
200 "segment": {
201 "id": 0,
202 "displayId": "string"
203 },
204 "purchasingOrganization": {
205 "id": 0,
206 "displayId": "string"
207 },
208 "purchasingOrder": {
209 "id": 0,
210 "displayId": "string"
211 },
212 "ledgerTransactionId": 0
213 },
214 "apReferences": {
215 "id": 0,
216 "invoice": {
217 "id": 0,
218 "displayId": "string",
219 "name": "string"
220 },
221 "vendor": {
222 "id": 0,
223 "displayId": "string",
224 "name": "string"
225 },
226 "ledgerTransactionId": 0
227 },
228 "assetRegisterReferences": {
229 "id": 0,
230 "asset": {
231 "assetId": 0,
232 "assetDisplayId": "string",
233 "assetNumber": "string",
234 "subAssetNumber": "string"
235 },
236 "ledgerTransactionId": 0
237 },
238 "ledgerTransactionGroupId": 0,
239 "accountingDocumentId": 0,
240 "entries": [
241 {
242 "id": 0,
243 "displayId": "string",
244 "itemText": "string",
245 "entryType": "D",
246 "amount": 0,
247 "unroundedAmount": 0,
248 "deltaAdjustment": 0,
249 "generalLedger": {
250 "id": 0,
251 "displayId": "string",
252 "generalLedgerAccountName": "string",
253 "generalLedgerAccountCode": "string",
254 "openItemManagement": true,
255 "accountCategory": "BALANCESHEET",
256 "shortName": "string",
257 "longName": "string"
258 },
259 "costCenter": {
260 "id": 0,
261 "displayId": "string",
262 "mainCostCenter": true,
263 "allocationPercentage": 0.1
264 },
265 "profitCenter": {
266 "id": 0,
267 "displayId": "string"
268 },
269 "vendor": {
270 "id": 0,
271 "displayId": "string",
272 "name": "string"
273 },
274 "taxEntries": [
275 {
276 "id": 0,
277 "displayId": "string",
278 "itemText": "string",
279 "entryType": "D",
280 "amount": 0,
281 "unroundedAmount": 0,
282 "deltaAdjustment": 0,
283 "generalLedger": {
284 "id": 0,
285 "displayId": "string",
286 "generalLedgerAccountName": "string",
287 "generalLedgerAccountCode": "string",
288 "openItemManagement": true,
289 "accountCategory": "BALANCESHEET",
290 "shortName": "string",
291 "longName": "string"
292 },
293 "taxBaseAmount": 0,
294 "totalTaxDocumentAmount": 0,
295 "taxExempt": 0,
296 "taxAffected": 0,
297 "vendor": {
298 "id": 0,
299 "displayId": "string",
300 "status": "CREATED",
301 "name": "string",
302 "erpSystemDisplayId": "string"
303 },
304 "ledgerEntryId": 0,
305 "additionalCurrencies": [
306 {
307 "id": 0,
308 "displayId": "string",
309 "entryType": "D",
310 "amount": 0,
311 "unroundedAmount": 0,
312 "deltaAdjustment": 0,
313 "currency": {
314 "id": 0,
315 "displayId": "string"
316 },
317 "currencyDefinitionType": "CONTRACT_CURRENCY",
318 "currencyType": "string",
319 "rate": 0,
320 "conversionDate": "2019-08-24",
321 "translationDateType": "DOCUMENT_DATE",
322 "sourceCurrencyType": "CONTRACT_CURRENCY",
323 "sourceCurrency": {
324 "id": 0,
325 "displayId": "string"
326 },
327 "depreciationArea": {
328 "id": 0,
329 "displayId": "string"
330 },
331 "ledgerEntryId": 0,
332 "ledgerEntryTaxId": 0,
333 "allowsSystemGenerateNewId": true,
334 "numberRangeIdentifierValue": "string",
335 "numberRangeIdentifierType": {
336 "name": "string"
337 },
338 "numberRangeType": {
339 "name": "string"
340 }
341 }
342 ],
343 "allowsSystemGenerateNewId": true,
344 "numberRangeIdentifierValue": "string",
345 "numberRangeIdentifierType": {
346 "name": "string"
347 },
348 "numberRangeType": {
349 "name": "string"
350 }
351 }
352 ],
353 "additionalCurrencies": [
354 {
355 "id": 0,
356 "displayId": "string",
357 "entryType": "D",
358 "amount": 0,
359 "unroundedAmount": 0,
360 "deltaAdjustment": 0,
361 "currency": {
362 "id": 0,
363 "displayId": "string"
364 },
365 "currencyDefinitionType": "CONTRACT_CURRENCY",
366 "currencyType": "string",
367 "rate": 0,
368 "conversionDate": "2019-08-24",
369 "translationDateType": "DOCUMENT_DATE",
370 "sourceCurrencyType": "CONTRACT_CURRENCY",
371 "sourceCurrency": {
372 "id": 0,
373 "displayId": "string"
374 },
375 "depreciationArea": {
376 "id": 0,
377 "displayId": "string"
378 },
379 "ledgerEntryId": 0,
380 "ledgerEntryTaxId": 0,
381 "allowsSystemGenerateNewId": true,
382 "numberRangeIdentifierValue": "string",
383 "numberRangeIdentifierType": {
384 "name": "string"
385 },
386 "numberRangeType": {
387 "name": "string"
388 }
389 }
390 ],
391 "ledgerTransactionId": 0,
392 "expenseCategory": {
393 "id": 0,
394 "displayId": "string",
395 "status": "CREATED",
396 "name": "string",
397 "expenseCategoryType": "PAYMENT"
398 },
399 "allowsSystemGenerateNewId": true,
400 "numberRangeIdentifierValue": "string",
401 "numberRangeIdentifierType": {
402 "name": "string"
403 },
404 "numberRangeType": {
405 "name": "string"
406 }
407 }
408 ],
409 "notes": [
410 {
411 "id": 0,
412 "note": "string"
413 }
414 ],
415 "reasonCode": {
416 "id": 0,
417 "name": "string"
418 },
419 "internalPostingStatus": {
420 "documentNumber": "string",
421 "status": "NA",
422 "postingMessage": "string"
423 },
424 "externalPostingStatus": {
425 "documentNumber": "string",
426 "objType": "string",
427 "objKey": "string",
428 "objSys": "string",
429 "username": "string",
430 "status": "NA",
431 "postingMessage": "string",
432 "taskId": 0
433 },
434 "nlaEnrichmentState": {
435 "id": 0,
436 "status": "PENDING",
437 "message": "string",
438 "history": [
439 {
440 "requestingUser": "string",
441 "enrichmentRequestId": 0,
442 "requestedAt": "2019-08-24T14:15:22Z",
443 "enrichedAt": "2019-08-24T14:15:22Z",
444 "requestStatus": "SENT",
445 "applicationStatus": "PENDING",
446 "message": "string"
447 }
448 ]
449 },
450 "nreEnrichmentState": {
451 "id": 0,
452 "status": "PENDING",
453 "message": "string",
454 "history": [
455 {
456 "requestingUser": "string",
457 "enrichmentRequestId": 0,
458 "requestedAt": "2019-08-24T14:15:22Z",
459 "enrichedAt": "2019-08-24T14:15:22Z",
460 "requestStatus": "SENT",
461 "applicationStatus": "PENDING",
462 "message": "string"
463 }
464 ]
465 },
466 "apEnrichmentState": {
467 "id": 0,
468 "status": "PENDING",
469 "message": "string",
470 "history": [
471 {
472 "requestingUser": "string",
473 "enrichmentRequestId": 0,
474 "requestedAt": "2019-08-24T14:15:22Z",
475 "enrichedAt": "2019-08-24T14:15:22Z",
476 "requestStatus": "SENT",
477 "applicationStatus": "PENDING",
478 "message": "string"
479 }
480 ]
481 },
482 "allowsSystemGenerateNewId": true,
483 "numberRangeIdentifierValue": "string",
484 "numberRangeIdentifierType": {
485 "name": "string"
486 },
487 "numberRangeType": {
488 "name": "string"
489 }
490 }
491}
Bulk-Update Resources¶
HTTP Request
PUT /api/v1/ledger-transaction/bulk
📋 Description: Updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are updated; failed items are recorded in the response
errorslist. The response body always contains the successfully updated items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing an array of ledger transaction records, each including transaction details and associated metadata for bulk processing. |
Body Parameters
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "createdByApplication": "NLA",
6 "postingTransactionType": "POST",
7 "postingType": "PAYMENT",
8 "ledgerType": "LIABILITY",
9 "paymentType": "N_A",
10 "applicationReferenceId": "string",
11 "documentComments": "string",
12 "documentDate": "2019-08-24",
13 "userDocumentDate": "2019-08-24",
14 "postingDate": "2019-08-24",
15 "transactionDate": "2019-08-24",
16 "fiscalYear": 0,
17 "fiscalPeriod": 0,
18 "currencyDetail": {
19 "currencyId": 0,
20 "currencyDisplayId": "string",
21 "currencyDefinitionType": "CONTRACT_CURRENCY",
22 "currencyType": "string"
23 },
24 "company": {
25 "id": 0,
26 "displayId": "string"
27 },
28 "vendorId": 0,
29 "vendorDisplayId": "string",
30 "vendorName": "string",
31 "invoiceId": 0,
32 "invoicePaymentId": 0,
33 "workspaceId": 0,
34 "clearingLedgerTransactionId": 0,
35 "currency": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "name": "string",
40 "decimalPoints": 0
41 },
42 "accountingStandard": {
43 "id": 0,
44 "displayId": "string"
45 },
46 "leaseClassificationType": "NON_LEASE",
47 "generateVendorInvoice": true,
48 "splitLeasePayment": true,
49 "parallelCurrencyEnabled": true,
50 "calculateTax": true,
51 "taxCalculationType": "NET",
52 "principalPositionType": "LESSEE",
53 "nlaReferences": {
54 "id": 0,
55 "contract": {
56 "id": 0,
57 "displayId": "string"
58 },
59 "leaseComponent": {
60 "id": 0,
61 "displayId": "string"
62 },
63 "activationGroup": {
64 "id": 0,
65 "displayId": "string"
66 },
67 "unit": {
68 "id": 0,
69 "displayId": "string"
70 },
71 "contractExternalId": "string",
72 "journalId": 0,
73 "activationGroupRevisionId": 0,
74 "ledgerTransactionId": 0
75 },
76 "nreReferences": {
77 "id": 0,
78 "premise": {
79 "id": 0,
80 "displayId": "string"
81 },
82 "location": {
83 "id": 0,
84 "displayId": "string"
85 },
86 "lease": {
87 "id": 0,
88 "displayId": "string"
89 },
90 "ledgerTransactionId": 0
91 },
92 "fosReferences": {
93 "id": 0,
94 "system": {
95 "id": 0,
96 "displayId": "string"
97 },
98 "company": {
99 "id": 0,
100 "displayId": "string"
101 },
102 "leaseArea": {
103 "id": 0,
104 "displayId": "string"
105 },
106 "leaseGroup": {
107 "id": 0,
108 "displayId": "string"
109 },
110 "leaseDepartment": {
111 "id": 0,
112 "displayId": "string"
113 },
114 "businessUnit": {
115 "id": 0,
116 "displayId": "string"
117 },
118 "mainCostCenter": {
119 "id": 0,
120 "displayId": "string"
121 },
122 "internalAssetClass": {
123 "id": 0,
124 "displayId": "string"
125 },
126 "documentType": {
127 "id": 0,
128 "displayId": "string"
129 },
130 "depreciationArea": {
131 "id": 0,
132 "displayId": "string"
133 },
134 "reversalReason": {
135 "id": 0,
136 "displayId": "string"
137 },
138 "tradingPartner": {
139 "id": 0,
140 "displayId": "string"
141 },
142 "allocationNumber": {
143 "id": 0,
144 "displayId": "string"
145 },
146 "responsibleCostCenter": {
147 "id": 0,
148 "displayId": "string"
149 },
150 "workBreakdownStructure": {
151 "id": 0,
152 "displayId": "string"
153 },
154 "businessArea": {
155 "id": 0,
156 "displayId": "string"
157 },
158 "functionalArea": {
159 "id": 0,
160 "displayId": "string"
161 },
162 "plant": {
163 "id": 0,
164 "displayId": "string"
165 },
166 "internalOrder": {
167 "id": 0,
168 "displayId": "string"
169 },
170 "network": {
171 "id": 0,
172 "displayId": "string"
173 },
174 "paymentTerm": {
175 "id": 0,
176 "displayId": "string"
177 },
178 "paymentBlock": {
179 "id": 0,
180 "displayId": "string"
181 },
182 "paymentMethod": {
183 "id": 0,
184 "displayId": "string",
185 "name": "string",
186 "type": "string"
187 },
188 "segment": {
189 "id": 0,
190 "displayId": "string"
191 },
192 "purchasingOrganization": {
193 "id": 0,
194 "displayId": "string"
195 },
196 "purchasingOrder": {
197 "id": 0,
198 "displayId": "string"
199 },
200 "ledgerTransactionId": 0
201 },
202 "apReferences": {
203 "id": 0,
204 "invoice": {
205 "id": 0,
206 "displayId": "string",
207 "name": "string"
208 },
209 "vendor": {
210 "id": 0,
211 "displayId": "string",
212 "name": "string"
213 },
214 "ledgerTransactionId": 0
215 },
216 "assetRegisterReferences": {
217 "id": 0,
218 "asset": {
219 "assetId": 0,
220 "assetDisplayId": "string",
221 "assetNumber": "string",
222 "subAssetNumber": "string"
223 },
224 "ledgerTransactionId": 0
225 },
226 "ledgerTransactionGroupId": 0,
227 "accountingDocumentId": 0,
228 "entries": [
229 {
230 "id": 0,
231 "displayId": "string",
232 "itemText": "string",
233 "entryType": "D",
234 "amount": 0,
235 "unroundedAmount": 0,
236 "deltaAdjustment": 0,
237 "generalLedger": {
238 "id": 0,
239 "displayId": "string",
240 "generalLedgerAccountName": "string",
241 "generalLedgerAccountCode": "string",
242 "openItemManagement": true,
243 "accountCategory": "BALANCESHEET",
244 "shortName": "string",
245 "longName": "string"
246 },
247 "costCenter": {
248 "id": 0,
249 "displayId": "string",
250 "mainCostCenter": true,
251 "allocationPercentage": 0.1
252 },
253 "profitCenter": {
254 "id": 0,
255 "displayId": "string"
256 },
257 "vendor": {
258 "id": 0,
259 "displayId": "string",
260 "name": "string"
261 },
262 "taxEntries": [
263 {
264 "id": 0,
265 "displayId": "string",
266 "itemText": "string",
267 "entryType": "D",
268 "amount": 0,
269 "unroundedAmount": 0,
270 "deltaAdjustment": 0,
271 "generalLedger": {
272 "id": 0,
273 "displayId": "string",
274 "generalLedgerAccountName": "string",
275 "generalLedgerAccountCode": "string",
276 "openItemManagement": true,
277 "accountCategory": "BALANCESHEET",
278 "shortName": "string",
279 "longName": "string"
280 },
281 "taxBaseAmount": 0,
282 "totalTaxDocumentAmount": 0,
283 "taxExempt": 0,
284 "taxAffected": 0,
285 "vendor": {
286 "id": 0,
287 "displayId": "string",
288 "status": "CREATED",
289 "name": "string",
290 "erpSystemDisplayId": "string"
291 },
292 "ledgerEntryId": 0,
293 "additionalCurrencies": [
294 {
295 "id": 0,
296 "displayId": "string",
297 "entryType": "D",
298 "amount": 0,
299 "unroundedAmount": 0,
300 "deltaAdjustment": 0,
301 "currency": {
302 "id": 0,
303 "displayId": "string"
304 },
305 "currencyDefinitionType": "CONTRACT_CURRENCY",
306 "currencyType": "string",
307 "rate": 0,
308 "conversionDate": "2019-08-24",
309 "translationDateType": "DOCUMENT_DATE",
310 "sourceCurrencyType": "CONTRACT_CURRENCY",
311 "sourceCurrency": {
312 "id": 0,
313 "displayId": "string"
314 },
315 "depreciationArea": {
316 "id": 0,
317 "displayId": "string"
318 },
319 "ledgerEntryId": 0,
320 "ledgerEntryTaxId": 0,
321 "allowsSystemGenerateNewId": true,
322 "numberRangeIdentifierValue": "string",
323 "numberRangeIdentifierType": {
324 "name": "string"
325 },
326 "numberRangeType": {
327 "name": "string"
328 }
329 }
330 ],
331 "allowsSystemGenerateNewId": true,
332 "numberRangeIdentifierValue": "string",
333 "numberRangeIdentifierType": {
334 "name": "string"
335 },
336 "numberRangeType": {
337 "name": "string"
338 }
339 }
340 ],
341 "additionalCurrencies": [
342 {
343 "id": 0,
344 "displayId": "string",
345 "entryType": "D",
346 "amount": 0,
347 "unroundedAmount": 0,
348 "deltaAdjustment": 0,
349 "currency": {
350 "id": 0,
351 "displayId": "string"
352 },
353 "currencyDefinitionType": "CONTRACT_CURRENCY",
354 "currencyType": "string",
355 "rate": 0,
356 "conversionDate": "2019-08-24",
357 "translationDateType": "DOCUMENT_DATE",
358 "sourceCurrencyType": "CONTRACT_CURRENCY",
359 "sourceCurrency": {
360 "id": 0,
361 "displayId": "string"
362 },
363 "depreciationArea": {
364 "id": 0,
365 "displayId": "string"
366 },
367 "ledgerEntryId": 0,
368 "ledgerEntryTaxId": 0,
369 "allowsSystemGenerateNewId": true,
370 "numberRangeIdentifierValue": "string",
371 "numberRangeIdentifierType": {
372 "name": "string"
373 },
374 "numberRangeType": {
375 "name": "string"
376 }
377 }
378 ],
379 "ledgerTransactionId": 0,
380 "expenseCategory": {
381 "id": 0,
382 "displayId": "string",
383 "status": "CREATED",
384 "name": "string",
385 "expenseCategoryType": "PAYMENT"
386 },
387 "allowsSystemGenerateNewId": true,
388 "numberRangeIdentifierValue": "string",
389 "numberRangeIdentifierType": {
390 "name": "string"
391 },
392 "numberRangeType": {
393 "name": "string"
394 }
395 }
396 ],
397 "notes": [
398 {
399 "id": 0,
400 "note": "string"
401 }
402 ],
403 "reasonCode": {
404 "id": 0,
405 "name": "string"
406 },
407 "internalPostingStatus": {
408 "documentNumber": "string",
409 "status": "NA",
410 "postingMessage": "string"
411 },
412 "externalPostingStatus": {
413 "documentNumber": "string",
414 "objType": "string",
415 "objKey": "string",
416 "objSys": "string",
417 "username": "string",
418 "status": "NA",
419 "postingMessage": "string",
420 "taskId": 0
421 },
422 "nlaEnrichmentState": {
423 "id": 0,
424 "status": "PENDING",
425 "message": "string",
426 "history": [
427 {
428 "requestingUser": "string",
429 "enrichmentRequestId": 0,
430 "requestedAt": "2019-08-24T14:15:22Z",
431 "enrichedAt": "2019-08-24T14:15:22Z",
432 "requestStatus": "SENT",
433 "applicationStatus": "PENDING",
434 "message": "string"
435 }
436 ]
437 },
438 "nreEnrichmentState": {
439 "id": 0,
440 "status": "PENDING",
441 "message": "string",
442 "history": [
443 {
444 "requestingUser": "string",
445 "enrichmentRequestId": 0,
446 "requestedAt": "2019-08-24T14:15:22Z",
447 "enrichedAt": "2019-08-24T14:15:22Z",
448 "requestStatus": "SENT",
449 "applicationStatus": "PENDING",
450 "message": "string"
451 }
452 ]
453 },
454 "apEnrichmentState": {
455 "id": 0,
456 "status": "PENDING",
457 "message": "string",
458 "history": [
459 {
460 "requestingUser": "string",
461 "enrichmentRequestId": 0,
462 "requestedAt": "2019-08-24T14:15:22Z",
463 "enrichedAt": "2019-08-24T14:15:22Z",
464 "requestStatus": "SENT",
465 "applicationStatus": "PENDING",
466 "message": "string"
467 }
468 ]
469 },
470 "allowsSystemGenerateNewId": true,
471 "numberRangeIdentifierValue": "string",
472 "numberRangeIdentifierType": {
473 "name": "string"
474 },
475 "numberRangeType": {
476 "name": "string"
477 }
478 }
479]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "displayId": "string",
18 "createdByApplication": "NLA",
19 "postingTransactionType": "POST",
20 "postingType": "PAYMENT",
21 "ledgerType": "LIABILITY",
22 "paymentType": "N_A",
23 "applicationReferenceId": "string",
24 "documentComments": "string",
25 "documentDate": "2019-08-24",
26 "userDocumentDate": "2019-08-24",
27 "postingDate": "2019-08-24",
28 "transactionDate": "2019-08-24",
29 "fiscalYear": 0,
30 "fiscalPeriod": 0,
31 "currencyDetail": {
32 "currencyId": 0,
33 "currencyDisplayId": "string",
34 "currencyDefinitionType": "CONTRACT_CURRENCY",
35 "currencyType": "string"
36 },
37 "company": {
38 "id": 0,
39 "displayId": "string"
40 },
41 "vendorId": 0,
42 "vendorDisplayId": "string",
43 "vendorName": "string",
44 "invoiceId": 0,
45 "invoicePaymentId": 0,
46 "workspaceId": 0,
47 "clearingLedgerTransactionId": 0,
48 "currency": {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "name": "string",
53 "decimalPoints": 0
54 },
55 "accountingStandard": {
56 "id": 0,
57 "displayId": "string"
58 },
59 "leaseClassificationType": "NON_LEASE",
60 "generateVendorInvoice": true,
61 "splitLeasePayment": true,
62 "parallelCurrencyEnabled": true,
63 "calculateTax": true,
64 "taxCalculationType": "NET",
65 "principalPositionType": "LESSEE",
66 "nlaReferences": {
67 "id": 0,
68 "contract": {
69 "id": 0,
70 "displayId": "string"
71 },
72 "leaseComponent": {
73 "id": 0,
74 "displayId": "string"
75 },
76 "activationGroup": {
77 "id": 0,
78 "displayId": "string"
79 },
80 "unit": {
81 "id": 0,
82 "displayId": "string"
83 },
84 "contractExternalId": "string",
85 "journalId": 0,
86 "activationGroupRevisionId": 0,
87 "ledgerTransactionId": 0
88 },
89 "nreReferences": {
90 "id": 0,
91 "premise": {
92 "id": 0,
93 "displayId": "string"
94 },
95 "location": {
96 "id": 0,
97 "displayId": "string"
98 },
99 "lease": {
100 "id": 0,
101 "displayId": "string"
102 },
103 "ledgerTransactionId": 0
104 },
105 "fosReferences": {
106 "id": 0,
107 "system": {
108 "id": 0,
109 "displayId": "string"
110 },
111 "company": {
112 "id": 0,
113 "displayId": "string"
114 },
115 "leaseArea": {
116 "id": 0,
117 "displayId": "string"
118 },
119 "leaseGroup": {
120 "id": 0,
121 "displayId": "string"
122 },
123 "leaseDepartment": {
124 "id": 0,
125 "displayId": "string"
126 },
127 "businessUnit": {
128 "id": 0,
129 "displayId": "string"
130 },
131 "mainCostCenter": {
132 "id": 0,
133 "displayId": "string"
134 },
135 "internalAssetClass": {
136 "id": 0,
137 "displayId": "string"
138 },
139 "documentType": {
140 "id": 0,
141 "displayId": "string"
142 },
143 "depreciationArea": {
144 "id": 0,
145 "displayId": "string"
146 },
147 "reversalReason": {
148 "id": 0,
149 "displayId": "string"
150 },
151 "tradingPartner": {
152 "id": 0,
153 "displayId": "string"
154 },
155 "allocationNumber": {
156 "id": 0,
157 "displayId": "string"
158 },
159 "responsibleCostCenter": {
160 "id": 0,
161 "displayId": "string"
162 },
163 "workBreakdownStructure": {
164 "id": 0,
165 "displayId": "string"
166 },
167 "businessArea": {
168 "id": 0,
169 "displayId": "string"
170 },
171 "functionalArea": {
172 "id": 0,
173 "displayId": "string"
174 },
175 "plant": {
176 "id": 0,
177 "displayId": "string"
178 },
179 "internalOrder": {
180 "id": 0,
181 "displayId": "string"
182 },
183 "network": {
184 "id": 0,
185 "displayId": "string"
186 },
187 "paymentTerm": {
188 "id": 0,
189 "displayId": "string"
190 },
191 "paymentBlock": {
192 "id": 0,
193 "displayId": "string"
194 },
195 "paymentMethod": {
196 "id": 0,
197 "displayId": "string",
198 "name": "string",
199 "type": "string"
200 },
201 "segment": {
202 "id": 0,
203 "displayId": "string"
204 },
205 "purchasingOrganization": {
206 "id": 0,
207 "displayId": "string"
208 },
209 "purchasingOrder": {
210 "id": 0,
211 "displayId": "string"
212 },
213 "ledgerTransactionId": 0
214 },
215 "apReferences": {
216 "id": 0,
217 "invoice": {
218 "id": 0,
219 "displayId": "string",
220 "name": "string"
221 },
222 "vendor": {
223 "id": 0,
224 "displayId": "string",
225 "name": "string"
226 },
227 "ledgerTransactionId": 0
228 },
229 "assetRegisterReferences": {
230 "id": 0,
[...]
